# Part1 : version 2.1 changelog
## Ajouts
- `npm` comme package manager pour le front-end
- `bower` gestion les dépendances de projet
- `gulp` comme un task runner

## Evolutions
- changement architecture de `webroot`

## Corrections

# Part2 :  npm + bower + gulp 
## 1. Installation Node.js

```
sudo bash
curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash -
sudo apt-get install -y nodejs npm
sudo apt-get install nodejs-legacy
```

sortir environnement `root`
execute dans var/www/webgfc

```
npm init
```

maintenant on a un fichier 'package.json'

## 2. Installation Gulp
```
sudo npm install gulp -g
npm install gulp --save-dev
npm install gulp-bower --save-dev
npm install gulp-concat --save-dev 
npm install gulp-clean-css --save-dev
npm install gulp-notify --save-dev
npm install jshint --save-dev
npm install jshint-stylish --save-dev
npm install gulp-uglify --save-dev 
npm install gulp-sass --save-dev 
npm install gulp-sass-lint --save-dev
npm install gulp-concat-css --save-dev 
npm install gulp-notify --save-dev
npm install bootstrap-sass --save-dev
npm install gulp-scss-lint-stylish --save-dev
```
maintenant le fichier 'package.json' enregistrer tous les information.

## 3. Installation Bower

```
sudo npm install bower -g
bower init
```
un gichier 'bower.json' a créé dans projet webgfc
maintenant on peux ajouter les plugin on va utiliser dans projet webgfc
```
bower install jquery --save
bower install jquery-ui --save
bower install layer --save
bower install select2 --save (Internationalization)
bower install sweetalert2  --save
bower install bootstrap-3-datepicker --save
bower install bootstrap-validator --save
bower install bootstrap-table --save
bower install font-awesome --save
bower install bootstrap-sass --save
bower install select2-bootstrap-theme --save
bower install bootstrap-treeview --save
bower install chart.js --save
bower install randomColor --save
bower install gmaps --save
bower install pdfjs-dist --save
bower install jquery.caret --save
```

dans le fichier 'bower.json', on peux modifier la version on a besoin


## 4. Configuration fichier gulpfile.js
creer un fichier 'gulpfile.js'

```
var gulp = require('gulp'),
        concat = require('gulp-concat'),
        uglify = require('gulp-uglify'),
        sass = require('gulp-sass'),
        contatCss = require('gulp-concat-css'),
        cleanCss = require('gulp-clean-css'),
        notify = require("gulp-notify"),
        bower = require('gulp-bower'),
        sassLint = require('gulp-sass-lint'),
        jshint = require('gulp-jshint'),
        stylish = require('jshint-stylish');

var config = {
    jsPath: 'app/webroot/source/js/*.js',
    sassPath: 'app/webroot/source/sass',
    bowerDir: 'app/webroot/source/component',
    publicPath: 'app/webroot/public'
};

gulp.task('lint', function () {
    return gulp.src(config.jsPath)
            .pipe(jshint())
            .pipe(jshint.reporter(stylish));
});

gulp.task('contat', ['lint'], function () {
    return gulp.src(config.jsPath)
            .pipe(concat('webgfc.js'))
            .pipe(uglify())
            .pipe(gulp.dest(config.publicPath + '/js'))
});

gulp.task('sassLint', function () {
    return gulp.src(config.sassPath + '/src/webgfc.scss')
            .pipe(sassLint({customReport: scssLintStylish}))
            .pipe(sassLint.format())
            .pipe(sassLint.failOnError())
})

gulp.task('sass', ['bower', 'sassLint'], function () {
    return gulp.src([config.bowerDir + '/bootstrap-sass/bootstrap-sass/assets/stylesheets/_bootstrap.scss', config.sassPath + '/src/webgfc.scss'])
            .pipe(sass())
            .pipe(gulp.dest(config.publicPath + '/css'))
});

var vendorCss = [
    config.bowerDir + '/font-awesome/scss/font-awesome.scss',
    config.bowerDir + '/select2/src/scss/core.scss',
    config.bowerDir + '/bootstrap-datepicker/dist/css/bootstrap-datepicker3.css',
    config.bowerDir + '/bootstrap-table/src/bootstrap-table.css',
    config.bowerDir + '/select2-bootstrap-theme/dist/select2-bootstrap.css',
    config.bowerDir + '/sweetalert2/dist/sweetalert2.css',
    config.bowerDir + '/bootstrap-treeview/dist/bootstrap-treeview.min.css'
]

gulp.task('contatCss', ['bower'], function () {
    return gulp.src(vendorCss)
            .pipe(sass())
            .pipe(contatCss("vendor.css"))
            .pipe(gulp.dest(config.publicPath + '/css'))
});

var vendorjs = [
    config.bowerDir + '/jquery/dist/jquery.js',
    config.bowerDir + '/jquery-ui/ui/jquery-ui.js',
    config.bowerDir + '/bootstrap-validator/dist/validator.js',
    config.bowerDir + '/bootstrap-sass/assets/javascripts/bootstrap.js',
    config.bowerDir + '/bootstrap-datepicker/dist/js/bootstrap-datepicker.js',
    config.bowerDir + '/bootstrap-table/src/bootstrap-table.js',
    config.bowerDir + '/select2/dist/js/select2.js',
    config.bowerDir + '/layer/src/layer.js',
    config.bowerDir + '/sweetalert2/dist/sweetalert2.js',
    config.bowerDir + '/bootstrap-treeview/dist/bootstrap-treeview.min.js',
    config.bowerDir + '/chart.js/dist/Chart.js',
    config.bowerDir + '/randomColor/randomColor.js',
    config.bowerDir + '/jquery.caret/dist/jquery.caret-1.5.0.js'
]
gulp.task('vendor', ['bower'], function () {
    return gulp.src(vendorjs)
            .pipe(concat('vendor.js'))
            .pipe(gulp.dest(config.publicPath + '/js'))
});

gulp.task('icon', ['bower'], function () {
    return gulp.src([config.bowerDir + '/font-awesome/fonts/**.*', config.bowerDir + '/bootstrap-sass/assets/fonts/**/**.*'])
            .pipe(gulp.dest(config.publicPath + '/fonts'))
});

gulp.task('skin', ['bower'], function () {
    return gulp.src(config.bowerDir + '/layer/src/skin/**/**.*')
            .pipe(gulp.dest(config.publicPath + '/js/skin'))
});

gulp.task('pdfjs', ['bower'], function () {
    return gulp.src([config.bowerDir + '/pdfjs-dist/build/*.*', config.bowerDir + '/pdfjs-dist/web/pdf_viewer.js'])
            .pipe(gulp.dest(config.publicPath + '/pdfjs'))
});


gulp.task('gmaps', ['bower'], function () {
    return gulp.src([config.bowerDir + '/gmaps/gmaps.min.js'])
            .pipe(gulp.dest(config.publicPath + '/js/gmaps'))
})

gulp.task('watch', function () {
    gulp.watch(config.sassPath + '/**/*.scss', ['sass'])
    gulp.watch(config.jsPath, ['contat'])
});

gulp.task('bower', function () {
    return bower();
});

gulp.task('default', ['contat', 'gmaps', 'contatCss', 'vendor', 'sass', 'icon', 'skin', 'pdfjs', 'watch']);

```

## 5. Dans repertoire `/var/www/webgfc/` execute:

```
npm install
gulp
```


# Part3 :architecture de `/app/webroot`:

```
webroot/
|-- files/ 
|-- img/
|-- css/                                #après executer "gulp"
|-- js/                                #après executer "gulp"
|-- font/                                #après executer "gulp"
|   |   ... 
|-- source/        
|   |-- js        
|   |   |-- addressbook.js
|   |   |-- bannette.js
|   |   |-- class.js
|   |   |-- contactinfo.js
|   |   |-- default.js
|   |   |-- fonction.js
|   |   |-- formValidate.js
|   |   |-- gui.js
|   |   |-- liste.js
|   |   |-- recherchesFunction.js
|   |   |   |-- ...                        #mettre tous les fichiers js ajouter pour webgfc2
|   |-- sass        
|   |   |-- fonts
|   |   |   |-- ...
|   |   |-- images
|   |   |   |-- ...
|   |   |-- javascripts
|   |   |   |-- ...
|   |   |-- src
|   |   |   |-- ...
|   |   |-- config.rb
|   |-- component                          #après executer "gulp"       
|-- .htaccess
|-- css.php
|-- favicon.ico
|-- index.php
|-- text.php
|
- [ ] 
```



```
webgfc/
|-- node_modules/                          #après executer "npm install"
|-- app/
|-- package.json                           #npm
|-- bower.json                             #bower
|-- .bowerrc                               #bower config
|-- gulpfile.js                            #gulp
|
- [ ] 
```

# Part4 : information complémentaire

1. Pour ajouter un nouveau plugin (js/css)
    --> cherche dans `bower.io/search/` 
        executer commande 
        ```
        bower install nom_de_plugin --save
        ```
2. gulp tutorial : `https://la-cascade.io/gulp-pour-les-debutants/`
3. Point à amélioration
    1. combiner tous les fichier js dasn un seul fichier webgfc.js, qui peut charger une seul fois quand un utilisateur connecte. ca va gagne bcp de temps
    2. quelque plugins sont très vieux,exemple : DataAcl
                                                Autocomplete formulaire (list address contact)
    3. Pdfjs: je le laisse dehour de vendor.js 
4. Si vous voulez, quand sortir nouvelle version, ce n'est pas besoin de publier dossier `webrrot/source`
5. Une fois executer gulp, il serveille automatiquement les changement de fichiers `.scss` et `webroot/source/js/.js`. Pour partie css, on n'est plus besoin d'installer `compass` et faire chaque fois `compass watch`. 



