# Guide d'installation web-GFC sur Ubuntu Server 16.04.2 LTS (version2.1 avec npm+bower+gulp)
## Manuel d'installation


| Document              |          |                         |    |
| --------------------- | -------- | ----------------------- |----|
| Auteur                | Arnaud AUZOLAT         | Date de diffusion       |    |
| Chef de projet        | Arnaud AUZOLAT         | N° de version [révision]| 1.0   |
| Directeur technique   |          |                         |    |

Evolution du document


| Version     | Auteur     | Nature des Changements | Date |
| --------    | ---------- | ---------------------- | -----|
| 1.0            | Arnaud AUZOLAT           |                        | 13/07/2017     |
|             |            |                        |      |
|             |            |                        |      |



Licence

Ce document n'est pas libre de droits.

Ce manuel est publié sous la licence Creative Commons avec les particularités “Paternité 
– Partage à l'identique” (également connue sous l'acronyme CC BY-SA).

Détails de cette licence : http://creativecommons.org/licenses/by-sa/2.0/fr/

# Préambule
Ce document décrit la procédure d'installation de la plate-forme de gestion de courriers et autres flux électroniques web-GFC en production.

Ce guide d'installation-type est à destination de techniciens expérimentés.

# Pré-Requis logiciels
Les distributions Linux de référence sont:

Pour le serveur virtuel qui compose la plate-forme, Ubuntu server 16.04.2 LTS (plate-forme supportée et support long terme par la société Canonical Ltd.).

La configuration citée dans cette documentation doit être modifiée et adapté à vos choix.

Pendant l'installation, le serveur doit-être connecté sur un réseau relié à Internet afin de récupérer et installer les dernières mises-à-jour de composants logiciels disponibles.

Les pré requis sont listés sur la FAQ :

http://faq.adullact.org/index.php?2013/02/07/68-pre-requis-pour-une-installation-de-aslae

# Schéma d'architecture logiciell

![](https://i.imgur.com/GUkG0Oq.png)


# Installation et configuration du serveur applicatif
## Dimensionnement

Attribuer un nom de machine et d'utilisateur :
Section de logiciels: choisir OpenSSH server
Partitionner le disque
exemple : webgfc01.local



|`Exemple de partitionnement (HD de 50Go) :` <-- ici il y a des fautes???? |                          |
| ---------------------------------------- | ------------------------ |
| /                                        | 25G                       |
| swap                                     | 4G                       |
|/var                                      | > 60G <--- ici sera la Base de Données|

## Installation
Pour debian, vérifier que le fichier `« /etc/apt/sources.list »` accède bien aux dépôts «main contrib non-free »

Pour des raisons pratiques, nous effectuerons toutes les commandes d'installation en tant que root.
```
# sudo bash
```
Nous vérifions la présence de mises à jour et les installons.
```
# apt-get update
# apt-get upgrade -y -q
```
Nous installons les paquets qui seront nécessaires par la suite
```
# apt-get install ssh postfix unzip bsd-mailx ntp python-software-properties sudo git vim
```
Indiquer à postfix « site internet » lors de la demande, puis indiquer le nom de domaine qui sera utilisé lors de l' envoie de mails.

Si vous utilisez un relais de messagerie, il est nécessaire de le préciser dans le fichier de configuration de postfix.
```
# vim /etc/postfix/main.cf
```
```
relayhost = [monserveurmail]
```
```
# apt-get install curl php7.0 php7.0-soap php7.0-pgsql php7.0-xsl php7.0-curl php-pear php7.0-ldap php7.0-imap php7.0-zip php-ssh2 php-apcu php-xml-rpc2 php7.0-mysql php7.0-mbstring
```
```
# apt-get install apache2
```

```
# pear install Mail
```

```
# apt-get install php libapache2-mod-php
```

Nous installons les paquets nécessaire au fonctionnement du serveur web :
Activation des modules apache « Rewrite, SSL »

```
# a2enmod rewrite ssl dav dav_fs expires
```
```
# service apache2 restart
```

<font color=red>~~ici à voir ~~</font>
Récupération de la dernière version de l' application webgfc depuis la gitlab.libriciel.fr 
Déposer les sources de l' application webgfc dans le répertoire « /var/www ».

```
# cd /var/www
```
```
# git clone https://yjin@gitlab.libriciel.fr/web-GFC/webgfc.git
```
Passer le répertoire www accessbile par `www-data`
```
# sudo chown -R www-data: /var/www
```
## Mise à jour depuis une source de temps (NTP)
Édition du fichier de configuration NTP.
Vous pouvez renseigner votre propre source de temps si vous en possédez une.
Remplacer les directives server contenu dans le fichier ntp.conf
```
# vim /etc/ntp.conf
```

```
server ntp.univ-lyon1.fr
```
La crontab est déjà paramétré pour effectuer une mise à jour quotidienne de la source de temps NTP.

## Mettre system en langue francais

```
# apt-get install language-pack-fr -y
```
```
# if [ -f /etc/default/locale ]; then cp /etc/default/locale /etc/default/locale_default; fi
```
```
# echo "LANG=fr_FR.UTF-8" > /etc/default/locale
```
Vous devez redémarrer votre machine

## Configuration des Vhosts

Un modèle de vhost apache doit être recopié dans le répertoire de configuration des vhost d'apache :
```
# vim /etc/apache2/sites-available/webgfc.conf
```
adapter ensuite la configuration du vhost à votre environnement :
(adresse IP, répertoires, ServerName)
```
<VirtualHost *:80>
    ServerName webgfc.mondomaine.org
    DocumentRoot /var/www/webgfc/
</VirtualHost>
<Directory "/var/www/webgfc">
    Options Indexes MultiViews FollowSymlinks
    AllowOverride all
    Order allow,deny
    Allow from all
    ExpiresActive On
    ExpiresByType image/jpg M2592000
    ExpiresByType image/jpeg M2592000
    ExpiresByType image/png M2592000
    ExpiresByType image/gif M2592000
    ExpiresByType text/css M2592000
    ExpiresByType text/javascript M2592000
    ExpiresByType application/javascript M259200
    ExpiresByType application/x-javascript M2592000
    ExpiresByType application/x-shockwave-flash M2592000
</Directory>
<Directory "/var/www/webgfc/app/webroot/files/webdav">
    DAV On
    Options FollowSymlinks Indexes
    order allow,deny
    allow from all
</Directory>
```
Activer le vhost webgfc
```
# a2ensite webgfc
# service apache2 reload
```
Modification de la configuration d'apache afin de limiter les informations visibles.
```
# vim /etc/apache2/conf-available/security.conf
```
Vérifier si il n' y a pas d'erreurs de configuration
```
ServerTokens Prod
ServerSignature Off
```
Vérifier si il n' y a pas d'erreurs de configuration
```
# apache2ctl -t
```
Redémarrer le service Apache
```
# service apache2 restart
```
L'application devrait être accessible, mais non fonctionnelle depuis votre navigateur, en tapant le nom indiqué dans la variable ServerName.

# Modifications PHP
Plusieurs modifications sont nécessaires au niveau du fichier php.ini.
Celui ci se trouve dans le répertoire « /etc/php/7.0/apache2/php.ini »
```
# vim /etc/php/7.0/apache2/php.ini
```
Modification des valeurs ci dessous:
```
expose_php = Off
date.timezone = « Europe/Paris »
max_execution_time = 600
post_max_size = 100M
upload_max_filesize = 100M
memory_limit = 512M
session.gc_maxlifetime = 14400
```
Après avoir effectué ces modifications, un redémarrage du serveur apache est nécessaire.
```
# service apache2 restart
```

# Installation du JRE JAVA
La version du JRE java n'étant plus présente dans les dépôts d'Ubuntu, nous allons nous procurer la version6 nécessaire au fonctionnement de l'outil GedOoo utilisé par webgfc, depuis le site d'ORACLE.

En cas d'utilisation d'un serveur en 32 bits, prendre la version i586 du JRE.

Récupérer la dernière version du JRE java et déposer le sur le serveur dans le répertoire /usr/lib/java :

http://www.oracle.com/technetwork/java/javase/downloads/jre6downloads-1902815.html

```
# cd /opt
```
```
# chmod +x jre-6u45-linux-x64.bin
```
```
# ./jre-6u45-linux-x64.bin
```
```
# ln -s /opt/jre1.6.0_45 /opt/jre
```
```
# update-alternatives --install /usr/bin/java java /opt/jre/bin/java 1
```
```
# java -version
```

nous retourne alors ces informations:
```
java version "1.6.0_45"
Java(TM) SE Runtime Environment (build 1.6.0_32-b05)
Java HotSpot(TM) 64-Bit Server VM (build 20.7-b02, mixed mode)
```


~~### 7  Outil de conversion de fichier (cloudooo)~~
~~### 8  Outil de fusion de documents PDF (ODFGEDOOO)~~

~~# Outil Compilation et Déplooiement de SASS (compass)~~
# Installation Node.js, Bower et Gulp, construction webroot
```
# sudo bash
# curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash -
# sudo apt-get install -y nodejs npm
# sudo apt-get install nodejs-legacy
# sudo npm install bower -g
# sudo npm install gulp -g
```

```
# cd /var/www/webgfc
# npm install
# gulp
```
pour quitter l'environnement « gulp », Ctrl + C


# Installation du serveur postgresql
## Installation

Il est nécessaire d'ajouter un le dépôt de postgreSQL pour obtenir la dernière version des paquets.

Ajouter ce dépôt manuellement ;

```
# echo "deb http://apt.postgresql.org/pub/repos/apt/ xenial-pgdg main" >/etc/apt/sources.list.d/pgdg.list
```
Ajouter la clé du dépôt au système :
```
# wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc |apt-key add -
```
Nous installation du serveur postgreSQL :
```
# apt-get update
# apt-get dist-upgrade
```
```
# apt-get install postgresql-9.5 postgresql-client-9.5 postgresql-contrib-9.5 postgresql-doc-9.5 postgresql-plperl-9.5 postgresql-plpython-9.5 postgresql-pltcl-9.5
```
## Configuration de postgresql 9.5

Nous modifions les fichiers de configuration de PostgreSQL afin de pouvoir se connecter avec l'éditeur PSQL depuis via notre compte utilisateur « webgfc ».

```
# vim /etc/postgresql/9.5/main/pg_hba.conf
```
Ajout de la ligne suivante dans la catégorie :

Database administrative login by Unix domain socket
```
local        webgfc        webgfc                md5
```
Si plusieurs instances ou BDD doivent être installées, n’ajouter que la ligne :
```
local        all           all                   md5
```
Qui permettra l’accès à l’éditeur SQL sur toutes les bases via Login/mot de passe depuis n'importe quel compte.

Un redémarrage du service est nécessaire:
```
# service postgresql restart
```
Création de l' utilisateur de la base de données et attribution des permissions :
```
# su postgres
# psql
```
Taper les commandes suivantes, en adaptant le nom d'utilisateur, le nom de base de données et le mot de passe avec vos choix, notre exemple:
```
postgres=# CREATE USER webgfc WITH ENCRYPTED PASSWORD 'webgfc';
```
```
postgres=# ALTER ROLE webgfc WITH createdb login superuser;
```
```
postgres=# CREATE DATABASE webgfc OWNER webgfc;
```

Quitter l'éditeur PSQL :
```
postgres=# \q
```

retour sur l'utilisateur root
```
# exit
```

# Configuration de l'application
Attribution des droits d’exécution pour la console cake
```
# chmod +x /var/www/webgfc/lib/Cake/Console/cake
```
Attribution des permissions apache sur l'application webgfc
```
# chown -R www-data: /var/www/webgfc*
```
```
# chmod -R 777 /var/www/webgfc/app/tmp
```
Copie des modèles de fichier de configuration :
```
# cd /var/www/webgfc/app/Config
```
```
# cp core.php.default core.php
```
```
# cp database.php.default database.php
```
```
# cp email.php.default email.php
```
## Paramétrage des connexions aux bases de données
Éditer le fichier database.php
```
# vim /var/www/webgfc/app/Config/database.php
```
Modifier les informations de la connexion $default avec les informations de connexion au serveur PostgreSQL. Cette connexion détermine quelle base de données va être utilisée pour la partie superadministration.

Modifier les informations de la connexion $collectivite avec les informations de connexion au serveur PostgreSQL. Cette connexion détermine quelle base de données va être utilisée pour la collectivité.

Dans un contexte multi-collectivités, copier autant de fois la connexion $collectivite qu'il y a de collectivités gérées dans l'application web-GFC. Il faut renommer chaque connexion de façon à avoir un nom unique.

### #Exemple
```
class DATABASE_CONFIG {
    public $default = array(
        'datasource' => 'Database/Postgres',
        'persistent' => false,
        'host' => 'localhost',
        'login' => 'webgfc',
        'password' => 'webgfc',
        'database' => 'webgfc',
        'prefix' => '',
        'port' => '5432',
        'encoding' => 'utf8'
    );
    public $collectivite1 = array(
        'datasource' => 'Database/Postgres',
        'persistent' => false,
        'host' => 'localhost',
        'login' => 'webgfc',
        'password' => 'webgfc',
        'database' => 'collectivite1',
        'prefix' => '',
        'port' => '5432',
        'encoding' => 'utf8'
    );
    public $collectivite2 = array(
        'datasource' => 'Database/Postgres',
        'persistent' => false,
        'host' => 'localhost',
        'login' => 'login_admin_collectivite2',
        'password' => 'password_admin_collectivite2',
        'database' => 'webgfc_collectivite2',
        'prefix' => '',
        'port' => '5432',
        'encoding' => 'utf8'
    );
}
```
Note: les nom de connexion peuvent être renommés (sans accent, sans ponctuation, sans majuscule)

!! ne pas renommer la connexion $default !!.

```
# vim /var/www/webgfc/app/Config/webgfc.inc
```
<font color=red>~~//todo verification webgfc.inc~~</font>
```
<?php
Configure::write('GEDOOO_WSDL','http://localhost:8880/ODFgedooo/OfficeService?wsdl');
Configure::write('CLOUDOOO_HOST', 'localhost');
Configure::write('CLOUDOOO_PORT', '8011'); //par défaut: 8011
?>
```
Paramétrage du WebService :
```
# cd /var/www/webgfc/app/webroot/files/wsdl/ && cp -a webgfc.wsdl.default webgfc.wsdl
```
modifier la dernière section du fichier, adapter l'URL à votre contexte.
```
# vim webgfc.wsdl
```
```
<service name="webgfcService">
    <documentation>WebGFC WebServices</documentation>
    <port name="webgfcPort" binding="typens:webgfcBinding">
    <soap:address location="http:// webgfc.mondomaine.org/webservices/service"/>
    </port>
</service>
```
Faire de même pour le fichier WsClientShell.php
```
# vim /var/www/webgfc/app/Console/Command/WsClientShell.php
```
modifier la variable `$url` en l'adaptant à votre contexte.
```
# public $url = 'http://webgfc.local/files/wsdl/webgfc.wsdl';
```
Mise en place de la base de données superadmin
```
# cd /var/www/webgfc
```
```
# ./lib/Cake/Console/cake --app app AdminTools install
```
Nettoyage du cache et mise en place des droits du système de fichier
```
# cd /var/www/webgfc
```
```
# ./lib/Cake/Console/cake --app app AdminTools clear_cache
```
```
# ./lib/Cake/Console/cake --app app AdminTools -o mon_utilisateur fix_fs_rights
```
Vous pouvez maintenant aller à l'adresse définie dans votre contexte et vous connecter avec le couple identifiant/mot de passe qui a été déterminé lors de l'installation de la base de données superadmin

exemple admin@admin mdp : admin

Afin de valider les diverses configuration, cliquer sur le bouton "Vérifications des pré-requis" de l'environnement superadmin.

## Paramétrage d'une collectivités
Une fois la création de la base de données superadmin réalisée, il suffit de se connecter à l'url renseignée en tant qu'admin@admin / admin, de cliquer sur Gestion des collectivités et d'ajouter une nouvelle collectivité.

L'utilisateur renseigne tous les champs du formulaire lui étant présentés, sélectionne la base de données utilisées (cf 11.1. Paramétrage des connexions aux bases de données, partie configuration du fichier database.php) et défini un suffixe de connexion pour la collectivité.

Une fois une collectivité nouvellement créée, il est nécessaire d'exécuter le script suivant afin d'être sûr de posséder tous les droits sur les fonctions de l'application à jour :
```
# ./lib/Cake/Console/cake --app app AdminTools -c VARIABLE_COLLECTIVITE_DATABASE rights
```
où **VARIABLE_COLLECTIVITE_DATABASE = le nom de la BDD utilisée par la collectivité**

NB : Ce script peut être exécuté autant de fois qu'on le souhaite.

La seule restriction est que personne n'utilise l'application lorsque le script est exécuté.

# Connexion au répertoire de scan

Afin de pouvoir récupérer les flux scannés directement dans l'application, il faut définir le répertoire dans lequel seront déposés ces documents scannés.

Pour cela, il faut créer 3 dossiers à la racine de l'application :

```
# cd /var/www/webgfc
```
```
# mkdir import
```
```
# mkdir import/old
```
```
# mkdir import/old/invalid
```
```
# mkdir import/merge
```
```
# mkdir import/single
```
Appliquer les droits d'accès à ces répertoires pour copier/déplacer les fichiers une fois traités
```
# sudo chmod 777 -R import
```
Une fois ces répertoires créés, dans l'application web-GFC, l'administrateur de la collectivité va renseigner le répertoire local de dépôt :
```
/var/www/webgfc/import
```
## Montage FTP
```
# sudo su www-data -c "curlftpfs collectivite1@ftp.adullact.org /var/www/webgfc/import -o 'uid=33' -o 'gid=33' "
```
## Montage SSHFS
```
# sudo sshfs -o nonempty -o allow_other -o uid=1085 -o gid=33 -p 2222 adullact@217.167.194.186:/clt /var/www/webgfc/import
```
## Récupération des flux

Quel que soit le système de montage utilisé, le script de récupération des flux sera le suivant (utilisable en crontab) :
```
# sudo su www-data -c "/var/www/webgfc/lib/Cake/Console/cake –app /var/www/webgfc/app CreateFromFiles process -c NOM_COLLECTIVITE_DATABASE"
```
# Intégration de la BAN (Base d'Adresse Nationale)

En premier lieu, se connecter sur le site https://adresse.data.gouv.fr.
Récupérer le fichier CSV correspondant au département concerné (ex: BAN_licence_gratuite_repartage_34.csv pour le département de l'Hérault (34) ) et le déposer dans `/var/www/webgfc/app/tmp`.

Exécuter un screen nommé `webgfcban`
```
# screen -S webgfcban
```
S'attacher à ce screen
```
# screen -r webgfcban
```

Intégrer le fichier CSV en base de données
```
# sudo -u www-data ./lib/Cake/Console/cake --app app BanInsert process -f app/tmp/BAN_licence_gratuite_repartage_34.csv -d 340 -c NOM_COLLECTIVITE_DATABASE
```
Laisser le script tourner en quittant le screen via la combinaison `Ctrl + a+d`.

Une fois le script finalisé, "tuer" le screen en faisant `Ctrl + d`.

# Automatisation des taches (CRONTAB)
Un certain nombre d'appels de script doivent être définis dans la crontab.

Ci-dessous la liste de ces scripts avec leur explication en commentaire

```
# vim /etc/cron.d/webgfc
```

```
# m h dom mon dow command
# tous les jours à 1h du matin : déclenchement/annulation des délégations planifiées
0 1 * * * www-data /var/www/webgfc/lib/Cake/Console/cake –app /var/www/webgfc/app AdminTools delegation

# toutes les 5 minutes : appel au i-Parapheur pour connaître l'état du flux déposé
*/5 * * * * www-data /var/www/webgfc/lib/Cake/Console/cake --app /var/www/webgfc/app Parapheur -c NOM_COLLECTIVITE_DATABASE >> /var/www/webgfc/app/tmp/logs/webgfc_parapheur.log 2>&1

# tous les jours à 15h : récupération des flux scannés déposés dans le répertoire défini par l'administrateur
0 15 * * * www-data /var/www/webgfc/lib/Cake/Console/cake --app /var/www/webgfc/app CreateFromFiles process -c NOM_COLLECTIVITE_DATABASE --no-color >> /dev/null 2>&1

# tous les jours à 9h : déclenchement d'un mail pour les flux en retard
0 9 * * * www-data /var/www/webgfc/lib/Cake/Console/cake --app /var/www/webgfc/app AdminTools retard -c NOM_COLLECTIVITE_DATABASE >> /var/www/webgfc/app/tmp/logs/mail_retard.log 2>&1

# tous les jours à 18h : envoi d'un mail pour les utilisateurs abonnés aux notifications journalières
0 18 * * * www-data /var/www/webgfc/lib/Cake/Console/cake --app /var/www/webgfc/app AdminTools notif -c NOM_COLLECTIVITE_DATABASE >> /var/www/webgfc/app/tmp/logs/notif_quotidien.log 2>&1

# toutes les 10 minutes : on scrute la base de données et on envoi un mail aux initiateurs lorsque les flux qu'ils ont initiés sont clos
*/10 * * * * www-data /var/www/webgfc/lib/Cake/Console/cake --app /var/www/webgfc/app AdminTools clos -c NOM_COLLECTIVITE_DATABASE >> /var/www/webgfc/app/tmp/logs/notif_init_clos.log 2>&1
```

# Ports de communication utilisés

L'application webgfc nécessite l'accès à certains ports situés à l'extérieur.

Voici la liste des autorisations a effectuer en cas d'utilisations de firewall :

HTTP 80 TCP - en entré
SMTP 25 TCP -en sortie - envoi de mail
import de clés GPG : TCP 11371 (ajout dynamique de clé GPG des dépôts)

# AIDE
## Cas d'utilisation sous firewall
L'ajout dynamique de clé n'est pas possible, il est donc nécessaire d'obtenir les clé via la commande :
```
apt-key adv --recv-keys --keyserver keyserver.ubuntu.com votre_n°_de_clé.
```

# OUTIL DE STATISTIQUES
Ce document décrit la procédure d'installation de la plate-forme de gestion de courriers et autres flux électroniques webgfc en production.

Une application tierce permet de pouvoir gérer les statistiques de l'application de façon plus rapide.

Pour cela, il faut récupérer les sources de cette application depuis https://ressources.libriciel.fr/webgfc/webgfc-stat-v1.0.zip.

Une fois les sources de l'application récupérées, les extraire et les déposer dans le répertoire `/var/www/` du serveur.
```
# cd /var/www
# wget https://ressources.libriciel.fr/webgfc/webgfc-stat-v1.0.zip
# unzip webgfc-stat-v1.0.zip
# mv webgfc-stat-v1.0-6092fe16bcd40ba6e24adc4c90fb6cdf2240826b webgfc-stats
```
Donner les droits à `www-data` sur le répertoire `/var/www/webgfc-stats`
```
# sudo chown -R www-data: webgfc-stats
```

## Configuration des Vhosts
Un modèle de vhost doit être recopié dans le répertoire de configuration des vhost apache:

```
# vim /etc/apache2/sites-available/webgfc-stats.conf
```
adapter ensuite la configuration du vhost à votre environnement : (adresse IP, répertoires, ServerName)

```
<VirtualHost *:80>
          ServerName      webgfc.stats
          DocumentRoot    /var/www/webgfc-stats/app

  <Directory "/var/www/webgfc-stats/app">
          Options -Indexes +MultiViews +FollowSymlinks
          AllowOverride all
          require all granted
        ExpiresActive On
          ExpiresByType image/jpg "access plus 2592000 seconds"
          ExpiresByType image/jpeg "access plus 2592000 seconds"
          ExpiresByType image/png "access plus 2592000 seconds"
          ExpiresByType image/gif "access plus 2592000 seconds"
  #       AddType image/x-icon .ico
  #       ExpiresByType image/ico "access plus 2592000 seconds"
  #       ExpiresByType image/icon "access plus 2592000 seconds"
  #       ExpiresByType image/x-icon "access plus 2592000 seconds"
          ExpiresByType text/css "access plus 2592000 seconds"
          ExpiresByType text/javascript "access plus 2592000 seconds"
          ExpiresByType application/javascript A259200
          ExpiresByType application/x-javascript "access plus 2592000 seconds"
          ExpiresByType application/x-shockwave-flash "access plus 2592000 seconds"
  </Directory>

</VirtualHost>
```

Activer le vhost webgfc-stats
```
# a2ensite webgfc-stats
# service apache2 reload
```

Vérifier si il n' y a pas d'erreurs de configuration
```
# apache2ctl -t
```

Redémarrer le service Apache
```
# service apache2 restart
```

Toujours sur ce serveur, définir dans les `vhosts`, l'URL utilisée par cet outil (par ex: http://webgfc.stats).
```
# vi /etc/hosts
```
```
localhost webgfc.stats
```

Une fois l'URL définie, la renseigner dans le fichier `/var/www/webgfc/app/Config/webgfc.inc` :
```
Configure::write('Url.Stats, 'http://webgfc.stats');
```
## Installation

Placez-vous à la racine du projet

Exécuter les commandes suivantes :

Installation des dépendances **Composer**
```
composer install
```
Installation des dépendances **Bower**
```
# apt-get install npm
# apt install nodejs-legacy
# npm install -g bower
# bower install --allow-root
```

## Paramétrage de l'application
Il est nécessaire de devoir définir la base de données qui sera "scrutée" par l'outil de statistiques.

Nous allons donc définir le fichier de configuration `/var/www/webgfc-stats/app/include/config.php` en nous basant sur l'exemple fourni:
```
# cp /var/www/webgfc-stats/app/include/config.sample.php /var/www/webgfc-stats/app/include/config.php
```
```
DB::Configuration(array(
    'driver' => 'pgsql',
    'host' => 'localhost',
    'port'   => 5432,
    'dbname' => 'webgfc_stats',
    'user'   => 'webgfc',
    'password'    => 'webgfc',
    'debug'  => DEBUG
), 'webgfc_stats');
```

où **webgfc_stats** est le nom de la base de données mais également le nom du paramètre pris par `$bdd` dans le fichier `/var/www/webgfc-stats/app/index.php`
Il faut donc modifier ce fichier `index.php`
```
# $GLOBALS['bdd'] = null;
# $name_bdd = 'webgfc_stats';
```

NB: en cas de non utilisation du LDAP, décommenter les lignes 7 à 10 du fichier `app/index.php`.
