<?php

$formCompositions = array(
    'name' => 'Composition',
    'label_w' => 'col-sm-6',
    'input_w' => 'col-sm-5',
    'form_url' => Router::url(null, true),
    'input' => array(
        'Composition.etape_id' => array(
            'inputType' => 'hidden',
            'items'=>array(
                'type'=>'hidden'
            )
        ),
        'Composition.type_composition' => array(
            'labelText' =>'Type de composition',
            'inputType' => 'select',
            'items'=>array(
                'type'=>'select',
                'empty' => $canAddParapheur,
                'options' =>$typeCompositions
            )
        ),
        'Composition.trigger_id' => array(
            'labelText' =>CAKEFLOW_TRIGGER_TITLE,
            'inputType' => 'select',
            'items'=>array(
                'type'=>'select',
                'empty' => true, 
                'required' => true,
                'options' =>$triggers
            )
        )
    )
);

if ($this->action == 'edit'){
    $formCompositions['input']['Composition.id'] =array(
        'inputType' => 'hidden',
            'items'=>array(
                'type'=>'hidden'
            )
    );
}

if ($canAddParapheur){
    $formCompositions['input']['soustype'] =array(
        'labelText' => __( 'Sous-Types de "'.Configure::read('IPARAPHEUR_TYPE').'"', true ),
        'inputType' => 'select',
            'items'=>array(
                'type'=>'select',
                'empty' => false, 
                'options' => $soustypes
            )
    );
}
if(CAKEFLOW_GERE_SIGNATURE){
    $formCompositions['input']['Composition.type_validation'] =array(
        'labelText' => 'Type de validation',
        'inputType' => 'radio',
            'items'=>array(
                'type'=>'radio',
                'options'=>$typeValidations
            )
    );
}else{
    $formCompositions['input']['Composition.type_validation'] =array(
        'inputType' => 'hidden',
            'items'=>array(
                'type'=>'hidden',
                'value'=>'V'
            )
    );
}
?>

<div class="panel panel-default" id="composition_add">
    <div class="panel-heading">
        Ajouter un utilisateur
    </div>
    <div class="panel-body">
        <?php
        echo $this->Formulaire->createForm($formCompositions);
        echo $this->Form->end();
        ?>
    </div>
    <div class="panel-footer" role="group" style="width:100%">
    </div>
</div>

<script type="text/javascript">
    var circuitId = "<?php echo $circuit_id; ?>";
    function chargerTab() {
        if ($('#circuit_tabs_3').length > 0 && $('#circuit_tabs_3').is(':visible')) {
            gui.request({
                url: "<?php echo "/workflows/setSchema/"; ?>" + circuitId,
                updateElement: $('#circuit_tabs_3'),
            });
        }
    }

    gui.addbuttons({
        element: $('#composition_add .panel-footer'),
        buttons: [
            {
                content: "<?php echo __d('default', 'Button.submit'); ?>",
                class: "btn-success btn-secondary",
                action: function () {

                    var form = $(this).parents('#composition_add').find('form');
                    $('#composition_add').remove();
                    if (form_validate($(form))) {
                        console.log(form.attr('action'));
                        gui.request({
                            url: form.attr('action'),
                            data: form.serialize()
                        }, function (data) {
                            console.log(data);
                            chargerTab();
                        });
                    } else {
                        sweetAlert(
                                'Oops...',
                                'Veuillez vérifier votre formulaire!',
                                'error'
                                )
                    }
                }
            }, {
                content: "<?php echo __d('default', 'Button.cancel'); ?>",
                class: "btn-danger btn-secondary",
                action: function () {
                    $('#composition_add').remove();
                    chargerTab();
                }
            }
        ]
    });

    $(document).ready(function () {
    $('#CompositionTriggerId').select2();


    $('#CompositionTypeComposition').select2();
    $('#CompositionSoustype').select2();
    $('#selectUser').select2();
        $("<div id='userDiv'>").insertBefore($('#CompositionTypeComposition').parents('.form-group'));
        $("#userDiv").append($('#CompositionTypeComposition').parents('.form-group'));
        $("<div id='selectUser'>").insertBefore($('#CompositionTriggerId').parents('.form-group'));
        $("#selectUser").append($('#CompositionTriggerId').parents('.form-group'));
        $("<div id='soustype'>").insertBefore($('#CompositionSoustype').parents('.form-group'));
        $("#soustype").append($('#CompositionSoustype').parents('.form-group'));
        
        $("#boutonValider").hide();
        <?php
        if (!$canAddParapheur){
            echo "$(\"option[value='PARAPHEUR']\").hide();";
        }
        if (CAKEFLOW_GERE_SIGNATURE){ 
            echo '$("#typeValidation").hide();';
            echo '$("#CompositionTypeValidationD").hide();';
            echo '$("label[for=\'CompositionTypeValidationD\']").hide();';
        }
        ?>
        $('#CompositionTypeComposition').on('change', onChangeAction);
        onChangeAction();
        
        
        
    });


    function onChangeAction() {
        var selectedOption = $('#CompositionTypeComposition').val();
        $('#selectUser').hide();
        $('#soustype').hide();
        $('#tmp_parapheur').remove();
        if (selectedOption == '') {
            $('#boutonValider').hide();
        } else {
            if (selectedOption == 'USER') {
                $('#selectUser').show();
                $("input[name='data[Composition][type_validation]']").val('V');
                <?php
                if (CAKEFLOW_GERE_SIGNATURE) {
                    echo '$("#typeValidation").show();'; 
                }
                ?>
            } else if (selectedOption == 'PARAPHEUR') {
                $('#CompositionTriggerId').append('<option value="-1" id="tmp_parapheur">Parapheur</option>');
                $('#CompositionTriggerId').val("-1");
                $("input[name='data[Composition][type_validation]']").val('D');
                $('#soustype').show();
                $('#selectUser').hide();
                <?php
                if (CAKEFLOW_GERE_SIGNATURE) {
                    echo '$("#typeValidation").hide();'; 
                }
                ?>
            }
            $('#boutonValider').show();
        }
    }
</script>
