<?php

/**
 *
 * Authentifications/index.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Arnaud AUZOLAT
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
    //echo $this->Html->css(array('administration'), null, array('inline' => false)); 
?>
<div class="container">
    <div id="liste" class="">
        <div  class="table-list">
            <h3><?php echo __d('authentification', 'Authentification.infos'); ?></h3>
            <?php
            echo $this->Form->create('Authentification',array(
                                        'url' => array('controller' => 'authentifications', 'action' => 'makeconf'),
//                                        'type' => 'file',
                                        'class' => 'form-horizontal',
                                        'inputDefaults' => array(
                                            'format' => array('before', 'label', 'between', 'input', 'error', 'after'),
                                            'div' => array('class' => 'form-group'),
                                            'label' => array('class' => 'control-label  col-sm-3'),
                                            'between' => '<div class="controls  col-sm-5">',
                                            'after' => '<div class="help-block with-errors"></div></div>',
                                            'error' => array('attributes' => array('wrap' => 'span', 'class' => 'help-inline')),
                                             'data-toggle'=>"validator"
                                    ))); 
            ?>
            <div class="panel-body">
                    <?php
                    $true_false = array('true' => 'Oui', 'false' => 'Non');
                    echo $this->Form->input( 'Authentification.id', array('type' => 'hidden') );
                    ?>
                <legend>Activation de l'authentification via CAS</legend>
                <div class="form-group">
                    <label class="col-sm-5 control-label">Activation: </label>
                    <div class="col-sm-5">
                        <div class="radio">
                            <label>
                                <input id="AuthentificationUseCasTrue" name="data[Authentification][use_cas]" value="true" type="radio"">
                                Oui
                            </label>
                        </div>
                        <div class="radio">
                            <label>
                                <input id="AuthentificationUseCasFalse" name="data[Authentification][use_cas]" value="false" type="radio" checked="checked">
                                Non
                            </label>
                        </div>
                    </div>
                </div>
                <div id='cas_config_content'>
                    <legend>Authentification CAS</legend>
                         <?php
                            echo $this->Form->input('host', array(
                                    'type' => 'text',
                                    'placeholder' =>'xxx.webgfc.fr',
                                    'label' =>array('text'=> 'URL','class'=>'control-label  col-sm-5'),
                                    'class' => 'form-control'
                                )
                            );
                            echo $this->Form->input('port', array(
                                    'type' => 'text',
                                    'placeholder' =>  '443',
                                    'label' => array('text'=>'Port','class'=>'control-label  col-sm-5'),
                                    'class' => 'form-control'
                                )
                            );
                            echo $this->Form->input('contexte', array(
                                    'type' => 'text',
                                    'placeholder' => '/cas',
                                    'label' => array('text'=>'Contexte','class'=>'control-label  col-sm-5'),
                                    'class' => 'form-control'
                                )
                            );
                            echo $this->Form->input('autcert', array(
                                    'type' => 'file',
                                    'label' => array('text'=>'Certificat (pem)','class'=>'control-label  col-sm-5'),
                                    'class' => 'form-control'
                                )
                            );
                            $value = isset( $this->request->data['Authentification']['nom_cert'] ) ? $this->request->data['Authentification']['nom_cert'] : '';
                            if( !empty($value )) {
                                echo 'Certificat utilisé : '.$value;
                            }
                            echo $this->Form->input('proxy', array(
                                    'type' => 'text',
                                    'placeholder' => 'https://xxx.webgfc.fr',
                                    'label' => array('text'=>'Proxy','class'=>'control-label  col-sm-5'),
                                    'class' => 'form-control'
                                )
                            );
                            echo $this->Form->input('logpath', array(
                                    'type' => 'text',
                                    'placeholder' => '/tmp/cas.log',
                                    'label' => array('text'=>'Emplacement du fichier de log','class'=>'control-label  col-sm-5'),
                                    'class' => 'form-control'
                                )
                            );
                            ?>
                </div>
            </div>
            <?php
                echo $this->Form->end();
            ?>
        </div>
        <div class="controls panel-footer " role="group">
            <?php
            echo $this->Html->link(
                            '<i class="fa fa-check" aria-hidden="true"></i> Valider', 
                            array('controller' => 'authentifications', 'action' => 'makeconf'),
                            array(
                                'type' => 'submit', 
                                'id' => 'boutonValider', 
                                'class' => 'btn btn-success ', 
                                'escape' => false, 
                                'title' => 'Modifier la configuration'
                            )
                        );
            echo $this->Html->link(
                            '<i class="fa fa-times-circle-o" aria-hidden="true"></i> Annuler', 
                            array(
                                'controller' => 'environnement', 
                                'action' => 'index'
                                ), 
                            array(
                                'class' => 'btn btn-danger ', 
                                'escape' => false, 
                                'title' => 'Annuler'
                            )
                        );
                    ?>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function () {
        $("input[name='data[Authentification][use_cas]']").change(function () {
            changeProtocol();
        });
        $('#cas_config_content').hide();

    });
    function changeProtocol() {
        if ($("input:checked").val() === 'true') {
            $('#cas_config_content').show();
        }
        if ($("input:checked").val() === 'false') {
            $('#cas_config_content').hide();
        }
    }
</script>