<?php

/**
 *
 * Bans/get_bans.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Arnaud AUZOLAT
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<div class="ban-list">
<?php
if (!empty($bans)) {
    foreach ($bans as $keyban => $ban) {
        $actions = !empty($ban['Ban']['id']) ? '<span  class = "ligne-action"><i class="fa fa-pencil-square-o editBanBttn Ban" aria-hidden="true" onclick="editBan(' . $ban['Ban']['id'] . ');return false" ></i><i class="fa fa-trash deleteBanBttn Ban" aria-hidden="true" onclick="deleteBan(' . $ban['Ban']['id'] . ')"></i></span>' : '';
        $node = array(
            'text' => $ban['Ban']['name'] .$actions ,
            'selectable' => false,
            'icon' => 'fa fa-folder',
            'nodes' => array()
        );
        foreach ($ban['Bancommune'] as $keybancommune => $bancommune) {
            $node['nodes'][$keybancommune] = array(
                'text' => $bancommune['name'] . '<span  class = "ligne-action"><i class="fa fa-pencil-square-o editBancommuneBttn Bancommune" aria-hidden="true" onclick="editBancommune(' . $bancommune['id'] . ');return false" ></i><i class="fa fa-trash deleteBancommuneBttn Bancommune" aria-hidden="true" onclick="deleteBancommune(' . $bancommune['id'] . ')"></i></span>',
                'selectable' => false,
                'icon' => 'fa fa-file'
            );
        }
        $res[$keyban] = $node;
    }
?>
    <div id="tree" style="margin-top: 10px">
    </div>
<?php
}else{
    echo $this->Html->div('alert alert-warning',__d('ban', 'Ban.void'));
    echo "<div class='alert alert-warning'>"
    . "Afin de retrouver votre base d'adresse nationale, veuillez vous rendre sur "
            . "<a href='http://adresse.data.gouv.fr/' target='external'>http://adresse.data.gouv.fr/</a> "
            . "et accéder aux données de votre département.</div>";
}
?>
</div>
<script type="text/javascript">
    $("#tree").treeview({
        data: <?php echo json_encode($res); ?>,
        'collapseIcon': 'fa fa-chevron-down',
        'expandIcon': 'fa fa-chevron-right'
    });

    function editBan(id) {
        $('#infos').modal('show');
        gui.request({
            url: '/bans/edit/' + id,
            updateElement: $('#infos .content'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
    }

    function editBancommune(id) {
        $('#infos').modal('show');
        gui.request({
            url: '/banscommunes/edit/' + id,
            updateElement: $('#infos .content'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
    }

    function deleteBan(id) {
        swal({
            title: "<?php echo __d('default', 'Modal.suppressionTitle'); ?>",
            text: "<?php echo __d('default', 'Modal.suppressionContents'); ?>",
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: "<?php echo __d('default', 'Button.submit'); ?>",
            cancelButtonText: "<?php echo __d('default', 'Button.cancel'); ?>",
        }).then(function (data) {
            if (data) {
                gui.request({
                    url: '/bans/delete/' + id,
                    updateElement: $('#webgfc_content'),
                    loader: true,
                    loaderMessage: gui.loaderMessage
                }, function (data) {
                    getJsonResponse(data);
                    loadBans();
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n'avez pas supprimé, ;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });
    }

    function deleteBancommune(id) {
        swal({
            title: "<?php echo __d('default', 'Modal.suppressionTitle'); ?>",
            text: "<?php echo __d('default', 'Modal.suppressionContents'); ?>",
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: "<?php echo __d('default', 'Button.submit'); ?>",
            cancelButtonText: "<?php echo __d('default', 'Button.cancel'); ?>",
        }).then(function (data) {
            if (data) {
                gui.request({
                    url: '/banscommunes/delete/' + id,
                    updateElement: $('#webgfc_content'),
                    loader: true,
                    loaderMessage: gui.loaderMessage
                }, function (data) {
                    getJsonResponse(data);
                    loadBans();
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n'avez pas supprimé, ;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });
    }
</script>
