<?php

/**
 *
 * Collectivites/add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Html->script('compteurs.js');
//echo $this->Html->css(array('administration'), null, array('inline' => false));
echo $this->Html->script('formValidate.js', array('inline' => true));
?>

<script type="text/javascript">
    function getLogo(first) {
        var loaderElement = null;
        var loaderMessage = null;

        if (!first) {
            loaderElement = $("#logo").parent().parent();
            loaderMessage = gui.loaderMessage;
        }

        gui.request({
            url: '/collectivites/getLogo/' + <?php echo $this->request->data['Collectivite']['id']; ?>,
            noErrorMsg: true,
            loaderElement: loaderElement,
            loaderMessage: loaderMessage
        }, function (data) {
            $("#logo").empty();
            $("#logo").append(data);
        });
    }
</script>


<div id="tabsCollectivite">
    <ul class="nav nav-tabs titre" role="tablist">
        <li class="active"><a href="#tabs-2" role="tab" data-toggle="tab"><i class="fa fa-info" aria-hidden="true"></i> Informations générales</a></li>
        <li><a href="#tabs-3" role="tab" data-toggle="tab"><i class="fa fa-lock" aria-hidden="true"></i> Administrateur</a></li>
        <li><a href="#tabs-4" role="tab" data-toggle="tab"><i class="fa fa-cog" aria-hidden="true"></i> Configuration</a></li>
        <li class="collectivite-logo"><a ><i class="fa fa-picture-o" aria-hidden="true"></i> Logo</a></li>
    </ul>

    <?php 
        $formCollectivite = array(
            'name' => 'Collectivite',
            'label_w' => 'col-sm-5',
            'input_w' => 'col-sm-5',
            'form_url' => array( 'controller' => 'collectivites', 'action' => 'edit'),
            'input' => array(
            )
        );
        echo $this->Formulaire->createForm($formCollectivite);
    ?>
    <div class="tab-content row">
        <div id="tabs-2" class="tab-pane fade active in" >
            <div id="panel" class=" col-sm-6">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="panel-title"><i class="fa fa-info" aria-hidden="true"></i> <?php echo __d('collectivite', 'Informations'); ?></h4>
                    </div>
                    <div class="panel-body form-horizontal">
                        <?php
                        $formCollectiviteInfos = array(
                            'name' => 'Collectivite',
                            'label_w' => 'col-sm-5',
                            'input_w' => 'col-sm-5',
                            'form_url' => array( 'controller' => 'collectivites', 'action' => 'edit'),
                            'input' => array(
                                'Collectivite.id' => array(
                                    'inputType' => 'hidden',
                                    'items'=>array(
                                        'type' => 'hidden',
                                    )
                                ),
                                'Collectivite.name' => array(
                                    'labelText' => __d('collectivite', 'Collectivite.name'),
                                    'inputType' => 'text',
                                    'items'=>array(
                                        'type' => 'text', 
                                        'required' => true
                                    )
                                ),
                                'Collectivite.siren' => array(
                                    'labelText' => __d('collectivite', 'Collectivite.siren'),
                                    'inputType' => 'number',
                                    'items'=>array(
                                        'type' => 'number', 
                                        'required' => true,
                                        'max'=>"999999999",
                                        'min'=>"0",
                                        'data-minlength'=>"9"
                                    )
                                ),
                                'Collectivite.codeinsee' => array(
                                    'labelText' => __d('collectivite', 'Collectivite.codeinsee'),
                                    'inputType' => 'number',
                                    'items'=>array(
                                        'type' => 'number', 
                                        'required' => true,
                                        'max'=>"99999",
                                        'min'=>"0",
                                        'data-minlength'=>"5"
                                    )
                                )
                            )
                        );
                        echo $this->Formulaire->createForm($formCollectiviteInfos);
                        ?>
                    </div>
                </div>
            </div>
            <div id="panel" class=" col-sm-6">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="panel-title"><i class="fa fa-book" aria-hidden="true"></i> <?php echo __d('collectivite', 'Coordonnées'); ?></h4>
                    </div>
                    <div class="panel-body form-horizontal">
                        <?php
                        $formCollectiviteCoordonnees = array(
                            'name' => 'Collectivite',
                            'label_w' => 'col-sm-5',
                            'input_w' => 'col-sm-5',
                            'form_url' => array( 'controller' => 'collectivites', 'action' => 'edit'),
                            'input' => array(
                                'Collectivite.adresse' => array(
                                    'labelText' => __d('collectivite', 'Collectivite.adresse'),
                                    'inputType' => 'text',
                                    'items'=>array(
                                        'type' => 'text', 
                                        'required' => true
                                    )
                                ),
                                'Collectivite.complementadresse' => array(
                                    'labelText' => __d('collectivite', 'Collectivite.complementadresse'),
                                    'inputType' => 'text',
                                    'items'=>array(
                                        'type' => 'text'
                                    )
                                ),
                                'Collectivite.codepostal' => array(
                                    'labelText' =>  __d('collectivite', 'Collectivite.codepostal'),
                                    'inputType' => 'number',
                                    'items'=>array(
                                        'type' => 'number', 
                                        'required' => true,
                                        'max'=>"99999",
                                        'min'=>"0",
                                        'data-minlength'=>"5"
                                    )
                                ),
                                'Collectivite.ville' => array(
                                    'labelText' =>__d('collectivite', 'Collectivite.ville'),
                                    'inputType' => 'text',
                                    'items'=>array(
                                        'type' => 'text',
                                        'required' => true
                                    )
                                ),
                                'Collectivite.telephone' => array(
                                    'labelText' =>__d('collectivite', 'Collectivite.telephone'),
                                    'inputType' => 'text',
                                    'items'=>array(
                                        'type' => 'text',
                                        'required' => true
                                    )
                                )
                            )
                        );
                        echo $this->Formulaire->createForm($formCollectiviteCoordonnees);
                        ?>
                    </div>
                </div>
            </div>
        </div>

        <div id="tabs-3" class="tab-pane fade">
            <div id="panel" class=" col-sm-6">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="panel-title"><i class="fa fa-user" aria-hidden="true"></i> <?php echo __d('collectivite', 'admin.infoperso'); ?></h4>
                    </div>
                    <div class="panel-body form-horizontal">
                        <?php
                        $formCollectiviteInfoperso = array(
                            'name' => 'Collectivite',
                            'label_w' => 'col-sm-5',
                            'input_w' => 'col-sm-5',
                            'form_url' => array( 'controller' => 'collectivites', 'action' => 'edit'),
                            'input' => array(
                                'User.id' => array(
                                    'inputType' => 'hidden',
                                    'items'=>array(
                                        'type' => 'hidden',
                                    )
                                ),
                                'User.username' => array(
                                    'labelText' => __d('user', 'User.username'),
                                    'inputType' => 'text',
                                    'items'=>array(
                                        'type' => 'text', 
                                        'required' => true
                                    )
                                ),
                                'User.nom' => array(
                                    'labelText' => __d('user', 'User.nom'),
                                    'inputType' => 'text',
                                    'items'=>array(
                                        'type' => 'text', 
                                        'required' => true
                                    )
                                ),
                                'User.prenom' => array(
                                    'labelText' => __d('user', 'User.prenom'),
                                    'inputType' => 'number',
                                    'items'=>array(
                                        'type' => 'text', 
                                        'required' => true
                                    )
                                ),
                                'User.mail' => array(
                                    'labelText' => __d('user', 'User.mail'),
                                    'inputType' => 'email',
                                    'items'=>array(
                                        'type' => 'email', 
                                        'required' => true
                                    )
                                )
                            )
                        ); 
                        echo $this->Formulaire->createForm($formCollectiviteInfoperso);
                        ?>
                    </div>
                </div>
            </div>
            <div id="panel" class=" col-sm-6">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h4 class="panel-title"><i class="fa fa-key" aria-hidden="true"></i> <?php echo __d('collectivite', 'admin.chpass'); ?></h4>
                    </div>
                    <div class="panel-body form-horizontal">
                        <?php
                        $formCollectiviteChpass = array(
                            'name' => 'Collectivite',
                            'label_w' => 'col-sm-5',
                            'input_w' => 'col-sm-5',
                            'form_url' => array( 'controller' => 'collectivites', 'action' => 'edit'),
                            'input' => array(
                                'User.Newpassword' => array(
                                    'labelText' => __d('user', 'User.password'),
                                    'inputType' => 'password',
                                    'items'=>array(
                                        'type' => 'password', 
                                        'data-match'=>false
//                                        'required' => true
                                    )
                                ),
                                'User.password2' => array(
                                    'labelText' => __d('user', 'Verif.User.password'),
                                    'inputType' => 'password',
                                    'items'=>array(
                                        'type' => 'password', 
//                                        'required' => true,
                                        'data-match'=>'#UserNewpassword',
                                        'data-match-error'=>"Whoops, ceux-ci ne correspondent pas"
                                    )
                                )
                            )
                        ); 
                        echo $this->Formulaire->createForm($formCollectiviteChpass);
                        ?>
                    </div>
                </div>
            </div>
        </div>

        <div id="tabs-4" class="tab-pane fade">
            <div class="col-sm-6">
                <div id="panel" >
                    <div class="panel panel-default" >
                        <div class="panel-heading">
                            <h4 class="panel-title"><i class="fa fa-dot-circle-o" aria-hidden="true"></i> <?php echo __d('collectivite', 'Collectivite.active_state'); ?></h4>
                        </div>
                        <div class="panel-body form-horizontal" >
                                <?php
                                $formCollectiviteActiveState = array(
                                    'name' => 'Collectivite',
                                    'label_w' => 'col-sm-5',
                                    'input_w' => 'col-sm-5',
                                    'form_url' => array( 'controller' => 'collectivites', 'action' => 'edit'),
                                    'input' => array(
                                        'Collectivite.active' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.active'),
                                            'inputType' => 'checkbox',
                                            'items'=>array(
                                                'type'=>'checkbox',
                                                'checked'=>$this->request->data['Collectivite']['active']
                                            )
                                        )
                                    )
                                );
                                echo $this->Formulaire->createForm($formCollectiviteActiveState);
                                ?>
                        </div>
                    </div>
                </div>
                <div id="panel" >
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title"><i class="fa fa-sign-in" aria-hidden="true"></i> <?php echo __d('collectivite', 'cakephp.conn'); ?></h4>
                        </div>
                        <div class="panel-body form-horizontal">
                                <?php
                                $formCollectiviteCakephpConn = array(
                                    'name' => 'Collectivite',
                                    'label_w' => 'col-sm-5',
                                    'input_w' => 'col-sm-5',
                                    'form_url' => array( 'controller' => 'collectivites', 'action' => 'edit'),
                                    'input' => array(
                                        'Collectivite.conn' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.conn'),
                                            'inputType' => 'text',
                                            'items'=>array(
                                                'type'=>'text',
                                                'required'=>true
                                            )
                                        ),
                                        'Collectivite.login_suffix' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.login_suffix'),
                                            'inputType' => 'text',
                                            'items'=>array(
                                                'type'=>'text',
                                                'required'=>true
                                            )
                                        )
                                    )
                                );
                                echo $this->Formulaire->createForm($formCollectiviteCakephpConn);
                                ?>
                        </div>
                    </div>
                </div>
                <div id="panel" >
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title"><i class="fa fa-cloud" aria-hidden="true"></i> <?php echo __d('collectivite', 'scan.use'); ?></h4>
                        </div>
                        <div class="panel-body form-horizontal">
                                <?php
                                $scanRemote = Configure::read('scan.remote');
                                $optionsScanUse = array('local' => __d('collectivite', 'scan.local'));
                                if (!empty($scanRemote) && in_array(true, $scanRemote, true)) {
                                        $optionsScanUse['remote'] = __d('collectivite', 'scan.remote');
                                }
                                if (Configure::read('scan.imap')) {
                                        $optionsScanUse['imap'] = __d('collectivite', 'scan.imap');
                                }
                                $formCollectiviteScanUse = array(
                                    'name' => 'Collectivite',
                                    'label_w' => 'col-sm-5',
                                    'input_w' => 'col-sm-5',
                                    'form_url' => array( 'controller' => 'collectivites', 'action' => 'edit'),
                                    'input' => array(
                                        'Collectivite.scan_active' => array(
                                            'labelText' => __d('collectivite', 'Collectivite.scan_active'),
                                            'inputType' => 'checkbox',
                                            'items'=>array(
                                                'type'=>'checkbox',
                                                'checked'=>$this->request->data['Collectivite']['scan_active']
                                            )
                                        ),
                                        'Collectivite.scan_access_type' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.scan_access_type'),
                                            'inputType' => 'select',
                                            'items'=>array(
                                                'type'=>'select',
                                                'class'=>'scanparam',
                                                'options'=>$optionsScanUse
                                            )
                                        ),
                                        'Collectivite.scan_desktop_id' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.scan_desktop_id'),
                                            'inputType' => 'select',
                                            'items'=>array(
                                                'type'=>'select',
                                                'class'=>'scanparam',
                                                'options'=>$optionsScanDesktopId,
                                                'empty' => true
                                            )
                                        ),
                                        'Collectivite.scan_purge_delay' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.scan_purge_delay'),
                                            'inputType' => 'text',
                                            'items'=>array(
                                                'type'=>'text',
                                                'class'=>'scanparam'
                                            )
                                        )
                                    )
                                );
                                echo $this->Formulaire->createForm($formCollectiviteScanUse);
                                ?>
                            <legend><i class="fa fa-folder-open" aria-hidden="true"></i> <?php echo __d('collectivite', 'scan.local'); ?></legend>
                                <?php
                                $formCollectiviteScanLocal = array(
                                    'name' => 'Collectivite',
                                    'label_w' => 'col-sm-5',
                                    'input_w' => 'col-sm-5',
                                    'form_url' => array( 'controller' => 'collectivites', 'action' => 'edit'),
                                    'input' => array(
                                        'Collectivite.scan_local_path' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.scan_local_path'),
                                            'inputType' => 'text',
                                            'items'=>array(
                                                'type'=>'text',
                                                'class'=>'scanparam'
                                            )
                                        )
                                    )
                                );
                                echo $this->Formulaire->createForm($formCollectiviteScanLocal);
                                ?>
                        </div>
                    </div>
                </div>

                <?php
                if (!empty($scanRemote) && in_array(true, $scanRemote, true)) {
                ?>

                <div id="panel" >
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title"><i class="fa fa-folder-open" aria-hidden="true"></i> <?php echo __d('collectivite', 'scan.remote'); ?></h4>
                        </div>
                        <div class="panel-body form-horizontal">
                            <?php
                            $optionsScanRemote = array();
                            if (Configure::read('scan.remote.ftp')) {
                                    $optionsScanRemote['ftp'] = __d('collectivite', 'scan.remote.ftp');
                            }
                            if (Configure::read('scan.remote.ssh')) {
                                    $optionsScanRemote['ssh'] = __d('collectivite', 'scan.remote.ssh');
                            }
                            if (Configure::read('scan.remote.smb')) {
                                    $optionsScanRemote['smb'] = __d('collectivite', 'scan.remote.smb');
                            }
                            $formCollectiviteScanRemote= array(
                                'name' => 'Collectivite',
                                'label_w' => 'col-sm-5',
                                'input_w' => 'col-sm-5',
                                'form_url' => array( 'controller' => 'collectivites', 'action' => 'edit'),
                                'input' => array(
                                    'Collectivite.scan_remote_type' => array(
                                        'labelText' =>__d('collectivite', 'Collectivite.scan_remote_type'),
                                        'inputType' => 'select',
                                        'items'=>array(
                                            'type'=>'select',
                                            'class'=>'scanparam',
                                            'options' => $optionsScanRemote
                                        )
                                    ),
                                    'Collectivite.scan_remote_url' => array(
                                        'labelText' =>__d('collectivite', 'Collectivite.scan_remote_url'),
                                        'inputType' => 'text',
                                        'items'=>array(
                                            'type'=>'text',
                                            'class' =>'scanparam'
                                        )
                                    ),
                                    'Collectivite.scan_remote_port' => array(
                                        'labelText' =>__d('collectivite', 'Collectivite.scan_remote_port'),
                                        'inputType' => 'text',
                                        'items'=>array(
                                            'type'=>'text',
                                            'class'=>'scanparam'
                                        )
                                    ),
                                    'Collectivite.scan_remote_user' => array(
                                        'labelText' =>__d('collectivite', 'Collectivite.scan_remote_user'),
                                        'inputType' => 'text',
                                        'items'=>array(
                                            'type'=>'text',
                                            'class' =>'scanparam'
                                        )
                                    ),
                                    'Collectivite.scan_remote_pass' => array(
                                        'labelText' =>__d('collectivite', 'Collectivite.scan_remote_pass'),
                                        'inputType' => 'text',
                                        'items'=>array(
                                            'type'=>'text',
                                            'class'=>'scanparam'
                                        )
                                    ),
                                    'Collectivite.scan_remote_path' => array(
                                        'labelText' =>__d('collectivite', 'Collectivite.scan_remote_path'),
                                        'inputType' => 'text',
                                        'items'=>array(
                                            'type'=>'text',
                                            'class' =>'scanparam'
                                        )
                                    )
                                )
                            );
                            echo $this->Formulaire->createForm($formCollectiviteScanRemote);
                            ?>
                        </div>
                    </div>
                </div>
                <?php } ?>

            </div>
            <div class="col-sm-6">

                <div id="panel">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title">LDAP</h4>
                        </div>
                        <div class="panel-body form-horizontal">
                            <legend><i class="fa fa-database" aria-hidden="true"></i> <?php echo __d('collectivite', 'ldap.use'); ?></legend>
                            <?php
                                $formCollectiviteLdapUse = array(
                                    'name' => 'Collectivite',
                                    'label_w' => 'col-sm-5',
                                    'input_w' => 'col-sm-5',
                                    'form_url' => array( 'controller' => 'collectivites', 'action' => 'edit'),
                                    'input' => array(
                                        'Collectivite.ldap_active' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.ldap_active'),
                                            'inputType' => 'checkbox',
                                            'items'=>array(
                                                'type'=>'checkbox',
                                                'checked'=>$this->request->data['Collectivite']['ldap_active']
                                            )
                                        )
                                    )
                                );
                                echo $this->Formulaire->createForm($formCollectiviteLdapUse);
                            ?>
                            <legend><i class="fa fa-pencil-square-o" aria-hidden="true"></i> <?php echo __d('collectivite', 'ldap.params'); ?></legend>
                            <?php
                                $formCollectiviteLdapParams = array(
                                    'name' => 'Collectivite',
                                    'label_w' => 'col-sm-5',
                                    'input_w' => 'col-sm-5',
                                    'form_url' => array( 'controller' => 'collectivites', 'action' => 'edit'),
                                    'input' => array(
                                        'Collectivite.ldap_uniqueid' => array(
                                            'labelText' => __d('collectivite', 'Collectivite.ldap_uniqueid'),
                                            'inputType' => 'text',
                                            'items'=>array(
                                                'type'=>'text',
                                                'class' =>'ldapparam'
                                            )
                                        ),
                                        'Collectivite.ldap_base_dn' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.ldap_base_dn'),
                                            'inputType' => 'text',
                                            'items'=>array(
                                                'type'=>'text',
                                                'class'=>'ldapparam'
                                            )
                                        ),
                                        'Collectivite.ldap_account_suffix' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.ldap_account_suffix'),
                                            'inputType' => 'text',
                                            'items'=>array(
                                                'type'=>'text',
                                                'class'=>'ldapparam'
                                            )
                                        ),
                                        'Collectivite.ldap_dn' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.ldap_dn'),
                                            'inputType' => 'text',
                                            'items'=>array(
                                                'type'=>'text',
                                                'class'=>'ldapparam'
                                            )
                                        ),
                                    )
                                );
                                echo $this->Formulaire->createForm($formCollectiviteLdapParams);
                            ?>
                            <legend><i class="fa fa-cogs" aria-hidden="true"></i> <?php echo __d('collectivite', 'ldap.server'); ?></legend>
                            <?php 
                            $formCollectiviteLdapServer = array(
                                    'name' => 'Collectivite',
                                    'label_w' => 'col-sm-5',
                                    'input_w' => 'col-sm-5',
                                    'form_url' => array( 'controller' => 'collectivites', 'action' => 'edit'),
                                    'input' => array(
                                        'Collectivite.ldap_use_ad' => array(
                                            'labelText' => __d('collectivite', 'Collectivite.ldap_use_ad'),
                                            'inputType' => 'checkbox',
                                            'items'=>array(
                                                'type'=>'checkbox',
                                                'class' =>'ldapparam',
                                                'checked'=>$this->request->data['Collectivite']['ldap_use_ad']
                                            )
                                        ),
                                        'Collectivite.ldap_host' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.ldap_host'),
                                            'inputType' => 'text',
                                            'items'=>array(
                                                'type'=>'text',
                                                'class'=>'ldapparam'
                                            )
                                        ),
                                        'Collectivite.ldap_port' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.ldap_port'),
                                            'inputType' => 'number',
                                            'items'=>array(
                                                'type'=>'number',
                                                'class'=>'ldapparam'
                                            )
                                        )
                                    )
                                );
                                echo $this->Formulaire->createForm($formCollectiviteLdapServer);
                            ?>
                        </div>
                    </div>
                </div>

                <?php if (Configure::read('scan.imap')) { ?>
                <div id="panel" >
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title"><i class="fa fa-envelope" aria-hidden="true"></i> <?php echo __d('collectivite', 'scan.imap'); ?></h4>
                        </div>
                        <div class="panel-body form-horizontal">
                            <?php
                            $optionsImapEncryption = array(
                                    'none' => __d('collectivite', 'scan_imap_encryption.none'),
                                    'ssl' => __d('collectivite', 'scan_imap_encryption.ssl'),
                                    'tls' => __d('collectivite', 'scan_imap_encryption.tls')
                            );
                            $optionsImapLoginEncryption = array(
                                    'plain' => __d('collectivite', 'scan_imap_login_encryption.plain')
                            );
                            $formCollectiviteScanImap = array(
                                    'name' => 'Collectivite',
                                    'label_w' => 'col-sm-5',
                                    'input_w' => 'col-sm-5',
                                    'form_url' => array( 'controller' => 'collectivites', 'action' => 'edit'),
                                    'input' => array(
                                        'Collectivite.scan_imap_url' => array(
                                            'labelText' => __d('collectivite', 'Collectivite.scan_imap_url'),
                                            'inputType' => 'text',
                                            'items'=>array(
                                                'type'=>'text',
                                                'class' =>'scanparam'
                                            )
                                        ),
                                        'Collectivite.scan_imap_port' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.scan_imap_port'),
                                            'inputType' => 'text',
                                            'items'=>array(
                                                'type'=>'text',
                                                'class'=>'scanparam'
                                            )
                                        ),
                                        'Collectivite.scan_imap_user' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.scan_imap_user'),
                                            'inputType' => 'text',
                                            'items'=>array(
                                                'type'=>'text',
                                                'class'=>'scanparam'
                                            )
                                        ),
                                        'Collectivite.scan_imap_pass' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.scan_imap_pass'),
                                            'inputType' => 'text',
                                            'items'=>array(
                                                'type'=>'text',
                                                'class'=>'scanparam'
                                            )
                                        ),
                                        'Collectivite.scan_imap_path' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.scan_imap_path'),
                                            'inputType' => 'text',
                                            'items'=>array(
                                                'type'=>'text',
                                                'class'=>'scanparam'
                                            )
                                        ),
                                        'Collectivite.scan_imap_encryption' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.scan_imap_encryption'),
                                            'inputType' => 'select',
                                            'items'=>array(
                                                'type'=>'select',
                                                'class'=>'scanparam',
                                                'options' => $optionsImapEncryption
                                            )
                                        ),
                                        'Collectivite.scan_imap_login_encryption' => array(
                                            'labelText' =>__d('collectivite', 'Collectivite.scan_imap_login_encryption'),
                                            'inputType' => 'select',
                                            'items'=>array(
                                                'type'=>'select',
                                                'class'=>'scanparam',
                                                'options' => $optionsImapLoginEncryption
                                            )
                                        )
                                    )
                                );
                                echo $this->Formulaire->createForm($formCollectiviteScanImap);
                            ?>
                        </div>
                    </div>
                </div>
                        <?php } ?>
            </div>

        </div>


<?php echo $this->Form->end(); ?>


    </div>
    <div id="tabs-6" class="">


        <div id="panel" class=" col-sm-10">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title"><?php echo __d('collectivite', 'Logo'); ?></h4>
                </div>
                <div class="panel-body form-horizontal">
                    <div id="logo"></div>
                    <div id="logoUpload"></div>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">

        function showHideLdapSettings() {
            if ($('#CollectiviteLdapActive').prop("checked")) {
                $('.ldapparam').removeAttr('disabled');
            } else {
                $('.ldapparam').attr('disabled', 'disabled');
            }
        }

        function showHideScanSettings() {
            if ($('#CollectiviteScanActive').prop("checked")) {
                $('.scanparam').removeAttr('disabled');
            } else {
                $('.scanparam').attr('disabled', 'disabled');
            }
        }
        $(document).ready(function () {
            $('#tabs-6').hide();
            $('.collectivite-logo').click(
                    function () {
                        $('.tab-content  .active').hide();
                        $('#tabs-6').show();
                        $('li.active').removeClass('active');
                        $('li.collectivite-logo').addClass('active');
                    });
            $('.nav-tabs a').on('shown.bs.tab', function (e) {
                $('#tabs-6').hide();
                $('.tab-content  .tab-pane').hide();
                $('.tab-content  .active').show();
            });

            $('#avatar').change(function () {
                var $file = $(this);
                var fileObj = $file[0];
                var fileObj = $file[0];
                var windowURL = window.URL || window.webkitURL;
                var dataURL;
                var $img = $("#logo_image");
                if (fileObj && fileObj.files && fileObj.files[0]) {
                    dataURL = windowURL.createObjectURL(fileObj.files[0]);
                    $img.attr('src', dataURL);
                } else {
                    dataURL = $file.val();
                    var imgObj = document.getElementById("preview");
                    imgObj.style.filter = "progid:DXImageTransform.Microsoft.AlphaImageLoader(sizingMethod=scale)";
                    imgObj.filters.item("DXImageTransform.Microsoft.AlphaImageLoader").src = dataURL;

                }
            });

            $('#UserUsername').blur(function () {
                gui.request({
                    url: "/users/ajaxformvalid/username/<?php echo $this->request->data['Collectivite']['id']; ?>",
                    data: $(this).parents('form').serialize()
                }, function (data) {
                    processJsonFormCheck(data);
                })
            });

            $('#UserMail').blur(function () {
                gui.request({
                    url: "/users/ajaxformvalid/mail/<?php echo $this->request->data['Collectivite']['id']; ?>",
                    data: $(this).parents('form').serialize()
                }, function (data) {
                    processJsonFormCheck(data);
                })
            });

            $('#CollectiviteName').blur(function () {
                gui.request({
                    url: "/collectivites/ajaxformvalid/name",
                    data: $(this).parents('form').serialize()
                }, function (data) {
                    processJsonFormCheck(data);
                })
            });

            showHideLdapSettings();
            $('#CollectiviteLdapActive').change(function () {
                showHideLdapSettings();
            });
            showHideScanSettings();
            $('#CollectiviteScanActive').change(function () {
                showHideScanSettings();
            });
            var ulfile = gui.createupload({
                button: "<?php echo __d('default', 'Button.uploadFile'); ?>",
                label: "Associer un logo",
                url: "/collectivites/upload",
                fileInputName: "myfile",
                hiddenItem: {
                    name: "collectiviteId",
                    value: <?php echo $this->request->data['Collectivite']['id']; ?>
                }
            });
            $('#logoUpload').append(ulfile);

            getLogo(true);

        });
    </script>
