<?php

/**
 *
 * Activites/add.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
if(!$isSoustype) {
    echo $this->Html->tag('div', __d('comment', 'Comment.cantAddPrivateComment'), array('class' => 'alert alert-warning'));
}
$formComment = array(
    'name' => 'Comment',
    'label_w'=>'col-sm-4',
    'input_w'=>'col-sm-5',
    'input' => array(
        'Comment.id' =>array (
            'inputType' => 'hidden',
            'items'=>array(
                'type' => 'hidden'
            )
        ),
        'Comment.content' => array(
            'labelText' =>__d('comment', 'Comment.content'),
            'inputType' => 'textarea',
            'items'=>array(
                'type' => 'textarea'
            )
        )
    )
);
if ($canAddPrivateComment) {
    $formComment['input']['Comment.private'] = array(
        'labelText' =>__d('comment', 'Comment.private'),
        'inputType' => 'checkbox',
        'items'=>array(
            'type'=>'checkbox',
            'checked'=>$this->request->data['Comment']['private']
        )
    );
    $formComment['input']['Reader.Reader'] = array(
        'labelText' =>__d('comment', 'Comment.readers'),
        'inputType' => 'select',
        'items'=>array(
            'type'=>'select', 
            'multiple' => true, 
            'options' => $readers, 
            'class' => 'commentCheckbox'
        )
    );
}
echo $this->Formulaire->createForm($formComment);
echo $this->Form->end();
?>

<script type="text/javascript">
    $('#ReaderReader').select2();
    function switchPrivate() {
        if ($('#CommentPrivate').prop("checked")) {
            $('#ReaderReader').parents('.form-group').show();
        } else {
            $('#ReaderReader').parents('.form-group').hide();
        }
    }
    $('#CommentPrivate').change(function () {
        switchPrivate();
    });
    switchPrivate();
</script>
