<?php

/**
 *
 * Courriers/get_documents.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<div>
    <div class="main_document" >
        <legend><?php echo __d('document', 'Document.main_doc'); ?></legend>
        <div class="panel-body">
        <?php
        if (!empty($mainDoc)) {
        ?>
            <div class="ctxdoc">
            <?php
            echo $this->Element('ctxdoc', array(
                    'ctxdoc' => $mainDoc['Document'],
                    'gfcDocType' => 'Document',
                    'cssClass' => 'mainDoc',
                    'isGeneratedFile' => !empty($mainDoc['Document']['isgenerated']) ? true : false
            ));
            ?>
            </div>
        <?php
        } else {
            echo $this->Html->tag('div', __d('document', 'Document.mainDoc.void'), array('class' => 'alert alert-warning'));
        }
        ?>
        </div>
    </div>
    <legend><?php echo __d('document', 'Document.list'); ?></legend>
    <div class="panel-body">
        <?php
            if (!empty($documents)) {
        ?>
        <ul class="list-group">
        <?php echo $this->Element('documentList', array('documentList' => $documents)); ?>
        </ul>
        <?php
            } else {
                echo $this->Html->tag('div', __d('courrier', 'Document.void'), array('class' => 'alert alert-warning'));
            }
        ?>
    </div>
    <?php if (!empty($documentssignes)):?>
    <legend class="panel-title"><?php echo __d('document', 'Document.signe_list'); ?></legend>
    <div class="panel-body">
        <div class="ctxdoc">
            <?php
            echo $this->Element('ctxdoc', array(
                'ctxdoc' => $documentssignes['Document'],
                'gfcDocType' => 'Document',
            ));
            ?>
        </div>
    </div>
    <?php endif;?>
    <div class="upload" >
        <legend><?php echo __d('document', 'Document.upload'); ?></legend>
        <div class="panel-body">
            <div class="content">
                <div class="alert alert-warning">
            <?php echo __d('document', ($fromDispEnv || !$right_upload) ? 'Document.upload.notallowed' : 'Document.upload.undefined'); ?>
                </div>
            </div>
        </div>
    </div>

    <?php if( !empty($mailsSent) ):?>
    <legend><?php echo __d('document', 'Document.mailssent'); ?></legend>
    <div class="panel-body">
        <div class="ctxdoc">
        <?php
        echo $this->Element('listmail', array(
            'ctxdoc' => $mailsSent
        ));
        ?>
        </div>
    </div>
    <?php endif;?>
</div>

<script type="text/javascript">
<?php if ($right_upload && !$fromDispEnv) { ?>
    var ulfile = gui.createupload({
        button: "<?php echo __d('default', 'Button.uploadFile'); ?>",
        buttonIco: "/img/upload_16.png",
        label: "Choisir un fichier",
        url: "<?php echo "/Documents/upload"; ?>",
        fileInputName: "myfile",
        hiddenItem: {
            name: "courrierId",
            value: <?php echo $fluxId; ?>
        },
        fluxId:<?php echo $fluxId; ?>
    });
    $('.upload .content').html(ulfile);
    $('.upload .content').find('input[name=myfile]').css('width', '100%');
<?php } ?>
    initContextDocumentBttnActions();
</script>