<?php

/**
 *
 * Courriers/get_flow_controls.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<script type="text/javascript">
    $('#flowControls').empty();
</script>
<?php
//le courrier n est pas refusé
if (!$isRefused && !$isClosed) {
    //le courrier n est pas dans un circuit
    if (!$isInCircuit && !$cpyOnly) {
        //le courrier n a pas de circuit / soustype_id associé
        if (empty($courrier['Courrier']['soustype_id']) ) {
?>
<script type="text/javascript">
    gui.addbutton({
        element: $('#flowControls'),
        button: {
            content: "<i class='fa fa-share' ></i><i class='fa fa-road'></i>",
            title: '<?php echo __d('courrier', 'Insert Courrier'); ?>',
            action: function () {
                swal({
                    title: "Oops...",
                    text: "Insertion dans le circuit impossible.<br>Veuillez choisir un sous-type dans l onglet qualification.",
                    type: "warning",
                    timer: 2000
                });
            }
        }
    });
    gui.disablebutton({
        element: $('#flowControls'),
        button: "<i class='fa fa-share'></i><i class='fa fa-road'></i>"
    })
</script>
<?php
        } else { //le sous-type associé au courrier possède-t-il un circuit
            if(empty($courrier['Soustype']['circuit_id']) && ($courrier['Soustype']['name'] == $SoustypeFantome) ) {
?>
<script type="text/javascript">
    gui.addbutton({
        element: $('#flowControls'),
        button: {
            content: "<i class='fa fa-share'></i><i class='fa fa-road'></i>",
            title: '<?php echo __d('courrier', 'Insert Courrier'); ?>',
            action: function () {
//                gui.message({
//                    title: "Insertion dans le circuit impossible.",
//                    msg: "Aucun circuit défini, veuillez contacter votre administrateur."
//                });
                if (!$(this).hasClass('ui-state-disabled')) {
                    swal({
                        title: "<?php echo __d('courrier', 'Cloture Courrier'); ?>",
                        text: "<?php echo __d('default', 'ConfirmFantom'); ?>",
                        type: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#d33",
                        cancelButtonColor: "#3085d6",
                        confirmButtonText: "<?php echo __d('default', 'Button.submit'); ?>",
                        cancelButtonText: "<?php echo __d('default', 'Button.cancel'); ?>",
                    }).then(function (data) {
                        if (data) {
                            gui.loader({
                                message: gui.loaderMessage,
                                element: $('#courrier_skel')
                            });

                            var updateElement = $(this);
                            gui.request({
                                url: "/courriers/insert/<?php echo $courrier['Courrier']['id']; ?>"
                            }, function () {
                                //redirection vers l environement
                                window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement/index"; ?>";
                                //todo problème de aiguilleur
                            });
                        } else {
                            swal({
                                title: "Annulé!",
                                text: "Vous n\'avez pas supprimé,;) .",
                                type: "error",
                                timer: 1500
                            });
                        }
                    });
                }
            }
        }
    });
    gui.disablebutton({
        element: $('#flowControls'),
        button: "<i class='fa fa-share'></i><i class='fa fa-road'></i>"
    })
</script>
<?php
            }else if( $hasEtapeParapheur ) { 
                if( empty($courrier['Document']['id']) || empty($mainDoc)) {
?>
<script type="text/javascript">
    gui.addbutton({
        element: $('#flowControls'),
        button: {
            content: "<i class='fa fa-share'></i><i class='fa fa-road'></i>",
            title: '<?php echo __d('courrier', 'Insert Courrier'); ?>',
            action: function () {
                swal({
                    title: "Oops...",
                    text: "Insertion dans le circuit impossible.<br>Aucun document défini. L'envoi dans un circuit comportant une étape parapheur nécessite l'association d'un document.",
                    type: "warning",
                    timer: 2000
                });
            }
        }
    });
    gui.disablebutton({
        element: $('#flowControls'),
        button: "<i class='fa fa-share'></i><i class='fa fa-road'></i>"
    })
</script>
<?php
                }else { 
?>
<script type="text/javascript">
    gui.addbutton({
        element: $('#flowControls'),
        title: '<?php echo __d('courrier', 'Insert Courrier'); ?>',
        button: {
            content: "<i class='fa fa-share'></i><i class='fa fa-road'></i>",
            title: '<?php echo __d('courrier', 'Insert Courrier'); ?>',
            action: function () {
                if (!$(this).hasClass('ui-state-disabled')) {

                    gui.loader({
                        message: gui.loaderMessage,
                        element: $('.table-list')
                    });
                    gui.request({
                        url: "/courriers/insert/<?php echo $courrier['Courrier']['id']; ?>"
                    },
                    function () {
                        window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement/index"; ?>";
                    });
                }
            }
        }
    });
</script>
<?php 
                }
            }else {
?>
<script type="text/javascript">
    //ajout du bouton insérer dans le circuit
    gui.addbutton({
        element: $('#flowControls'),
        button: {
            content: "<i class='fa fa-share'></i><i class='fa fa-road'></i>",
            title: '<?php echo __d('courrier', 'Insert Courrier'); ?>',
            action: function () {
                if (!$(this).hasClass('ui-state-disabled')) {

                    gui.loader({
                        message: gui.loaderMessage,
                        element: $('.table-list')
                    });
                    gui.request({
                        url: "/courriers/insert/<?php echo $courrier['Courrier']['id']; ?>"
                    },
                    function (data) {
                        window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement/index"; ?>";
                    });
                }
            }
        }
    });
</script>
<?php
            }
        }
?>
<!-- Ajout du bouton envoyer pour copie pour les initiateurs uniquement -->
<script type="text/javascript">
    gui.addbutton({
        element: $('#flowControls'),
        button: {
            content: "<i class='fa fa-paper-plane'></i><i class='fa fa-clone'></i>",
            title: '<?php echo __d('default', 'Button.sendcpy'); ?>',
            action: function () {
                gui.formMessage({
                    title: '<?php echo __d('default', 'Button.send'); ?>',
                    width: '600px',
                    url: '/courriers/send/<?php echo $courrier['Courrier']['id'] . '/1' ; ?>',
                    buttons: {
                        "<?php echo __d('default', 'Button.submit'); ?>": function () {
                            var form = $(this).parents('.modal').find('form');
                            var url = '/courriers/send';
                            gui.request({
                                url: '/courriers/send/<?php echo $courrier['Courrier']['id'] . ($cpyOnly ? '/1' : ''); ?>',
                                data: form.serialize()
                            }, function (data) {
                                if (data.length > 4) { //FIXME avant avec 0 cela marchait
                                    getJsonResponse(data);
                                } else {
                                    window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement"; ?>";
                                }
                            });
                            $(this).parents(".modal").modal('hide');
                            $(this).parents(".modal").empty();
                        },
                        "<?php echo __d('default', 'Button.cancel'); ?>": function () {
                            $(this).parents(".modal").modal('hide');
                            $(this).parents(".modal").empty();
                        }
                    }
                });
            }
        }
    });
</script>
<?php
    } else { //le courrier est dans un circuit
        echo $this->Form->input('Insert.desktop_id', array('id' => 'rebondSelect', 'style' => 'display: none;', 'type' => 'select', 'div' => false, 'label' => false, 'options' => $desktopsToSend));
        if (!$cpyOnly || $isInCircuit && $isUserInCircuit && $desktopCurrentEtapeCircuit && $endCircuitIsCollaborative && $endCircuitIsCollaborativeDerniereUtilisateur) {
?>
<script type="text/javascript">
    gui.addbutton({
        element: $('#flowControls'),
        button: {
            content: "<?php echo  (!$endCircuit || $endCircuitIsCollaborative) ? '<i class=\'fa fa-check\' ></i>' : '<i class=\'fa fa-check\'></i><i class=\'fa fa-lock\'></i> '; ?>",
            title: "<?php echo  (!$endCircuit || $endCircuitIsCollaborative) ?__d('courrier', 'Valid Courrier') : __d('courrier', 'Cloture Courrier'); ?>",
            action: function () {
                if (!$(this).hasClass('ui-state-disabled')) {

                    if ($(this)[0].textContent == 'Clôturer') {

                        swal({
                            title: "<?php echo __d('courrier', 'Cloture Courrier'); ?>",
                            text: "<?php echo __d('default', 'Etes-vous sûr de vouloir clôturer ce flux ?'); ?>",
                            type: "warning",
                            showCancelButton: true,
                            confirmButtonColor: "#d33",
                            cancelButtonColor: "#3085d6",
                            confirmButtonText: "<?php echo __d('default', 'Button.submit'); ?>",
                            cancelButtonText: "<?php echo __d('default', 'Button.cancel'); ?>",
                        }).then(function (data) {
                            if (data) {
                                gui.loader({
                                    message: gui.loaderMessage,
                                    element: $('#courrier_skel')
                                });
                                var updateElement = $(this);
                                gui.request({
                                    url: "<?php echo '/courriers/valid/'.$courrier['Courrier']['id'];?>"
                                },
                                function () {
                                    //redirection vers l environement
                                    window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement/index"; ?>";
                                });
                            } else {
                                swal({
                                    title: "Annulé!",
                                    text: "Vous n\'avez pas supprimé,;) .",
                                    type: "error",
                                    timer: 1500
                                });
                            }
                        });
                    }
                    else {
                        gui.request({
//                          url: "<?php // if(!($endCircuitIsCollaborativeDerniereUtilisateur)){echo '/courriers/valid/'.$courrier['Courrier']['id'];}else{ echo '/courriers/validEtapeLastCol/'.$courrier['Courrier']['id'];}?>"
                            url: "<?php echo '/courriers/valid/'.$courrier['Courrier']['id'];?>"
                        },
                        function () {
                            //redirection vers l environement
                            window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement/index"; ?>";
                        });
                    }

                }
            }
        }
    });
</script>
<?php
        }
        //ajout du bouton reponse
        if ($reponse && $endCircuit && !$cpyOnly  && $desktopCurrentEtapeCircuit && !$endCircuitIsCollaborative) {                   
?>
<script type="text/javascript">
    gui.addbutton({
        element: $('#flowControls'),
        button: {
            content: "<i class='fa fa-check' ></i><i class='fa fa-arrow-left'></i>",
            title: "<?php echo __d('courrier', 'Cloture Reponse Courrier'); ?>",
            action: function () {
                if (!$(this).hasClass('ui-state-disabled')) {
                    gui.formMessage({
                        title: "<?php echo __d('courrier', 'Courrier.response_choice_title') ?>",
                        url: "<?php echo '/courriers/reponse/' . $courrier['Courrier']['id']; ?>",
                        buttons: {
                            "<?php echo __d('default', 'Button.submit'); ?>": function () {
                                var form = $(this).parents('.modal').find('form');
                                var insertAuto = 0;
                                if ($('#CourrierReponseInsertAuto').prop("checked")) {
                                    insertAuto = 1;
                                }
                                if (form_validate(form)) {
                                    gui.request({
                                        url: "<?php echo Configure::read('BaseUrl') . '/courriers/valid/' . $courrier['Courrier']['id']; ?>" + '/1/' + $('select option:selected', form).val() + "/" + insertAuto
                                    }, function () {
                                        window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement/index" ?>";
                                    });
                                } else {
                                    swal({
                                        title: "Oops...",
                                        text: "Veuillez vérifier votre formulaire!",
                                        type: "error",
                                        timer: 1500
                                    });

                                }
                            },
                            "<?php echo __d('default', 'Button.cancel'); ?>": function () {
                                $(this).parents(".modal").modal('hide');
                                $(this).parents(".modal").empty();
                            }
                        }
                    });
                }
            }
        }
    });
</script>
<?php
        }
?>
<script type="text/javascript">
    //ajout du bouton refuser
<?php 
if (!$cpyOnly || $isInCircuit && $isUserInCircuit && $desktopCurrentEtapeCircuit) {  
?>
    gui.addbutton({
        element: $('#flowControls'),
        button: {
            content: "<i class='fa fa-times'></i>",
            title: '<?php echo __d('courrier', 'Refus Courrier'); ?>',
            action: function () {
                if (!$(this).hasClass('ui-state-disabled')) {
                    gui.formMessage({
                        url: "/courriers/refus/<?php echo $courrier['Courrier']['id']; ?>",
                        buttons: {
                            "<?php echo __d('default', 'Button.submit'); ?>": function () {
                                var form = $(this).parents('.modal').find('form');
                                if (form_validate(form)) {
                                    gui.request({
                                        url: "/courriers/refus/<?php echo $courrier['Courrier']['id']; ?>",
                                        data: $(form).serialize()
                                    }, function (data) {
                                        window.location.href = "/environnement/index";
                                    })
                                }
                            },
                            "<?php echo __d('default', 'Button.cancel'); ?>": function () {
                                $(this).parents(".modal").modal('hide');
                                $(this).parents(".modal").empty();
                            }
                        }
                    });
                }
            }
        }
    });
<?php 
} 
if ($sendcpy || $sendwkf || $cpyOnly) {
    if ($sendcpy && $sendwkf) {
            $url = '/courriers/send';
    } else if (($sendcpy && !$sendwkf) || $cpyOnly) {
            $url = '/courriers/sendcpy';
    } else if (!$sendcpy && $sendwkf) {
            $url = '/courriers/sendwkf';
    }
?>
    //ajout du bouton envoyer
    gui.addbutton({
        element: $('#flowControls'),
        button: {
            content: "<i class='fa fa-paper-plane'></i>",
            title: '<?php echo __d('default', 'Button.send'); ?>',
            action: function () {
                gui.formMessage({
                    title: '<?php echo __d('default', 'Button.send'); ?>',
                    width: '600px',
                    url: '/courriers/send/<?php echo $courrier['Courrier']['id'] . ($cpyOnly ? '/1' : ''); ?>',
                    buttons: {
                        "<?php echo __d('default', 'Button.submit'); ?>": function () {
                            var form = $(this).parents(".modal").find('form');
                            var url = '<?php echo $url; ?>';
                            gui.request({
                                url: '/courriers/send/<?php echo $courrier['Courrier']['id'] . ($cpyOnly ? '/1' : ''); ?>',
                                data: form.serialize()
                            }, function (data) {
                                if (data.length > 4) { //FIXME avant avec 0 cela marchait
                                    getJsonResponse(data);
                                } else {
                                    window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement"; ?>";
                                }
                            });
                            $(this).parents(".modal").modal('hide');
                            $(this).parents(".modal").empty();
                        },
                        "<?php echo __d('default', 'Button.cancel'); ?>": function () {
                            $(this).parents(".modal").modal('hide');
                            $(this).parents(".modal").empty();
                        }
                    }
                });
            }
        }
    });
<?php 
} 
?>
</script>
<?php 
        if ($endCircuit && $isAuthVersGed) { 
?>
<script type="text/javascript">
    gui.addbutton({
        element: $('#flowControls'),
        button: {
            content: "<i class='fa fa-share-square-o'></i>",
            title: '<?php echo __d('courrier', 'Verser en GED'); ?>',
            action: function() {
                if (!$(this).hasClass('ui-state-disabled')) {

                    gui.message({
                        title: "<?php echo __d('default', 'Verser en GED'); ?>",
                        msg: "<?php echo __d('default', 'Etes-vous sûr de vouloir verser ce flux en GED ?'); ?>",
                        buttons: {
                            "<?php echo __d('default', 'Button.confirm'); ?>": function() {
                                $(this).dialog("close");

                                gui.loader({
                                    message: gui.loaderMessage,
                                    element: $('#courrier_skel')
                                });

                                var updateElement = $(this);
                                gui.request({
                                    url: "/courriers/sendToGed/<?php echo $courrier['Courrier']['id']; ?>",
                                    updateElement: updateElement
                                }, function() {
                                    updateElement.removeAttr('loaded');
                                    loadContextTab(updateElement);
                                    window.location.reload();
                                });
                            },
                            "<?php echo __d('default', 'Button.cancel'); ?>": function() {
                                $(this).dialog("close");
                            }
                        }
                    });
                }
            }
        }
    });
</script>

<?php 
        } 
    }
}

// Si aucun document lié, on ne peut pas faire suivre au parapheur
if(!$fairesuivre && $hasEtapeParapheur) { ?>
<script type="text/javascript">
    gui.disablebutton({
        element: $('#flowControls'),
        button: "<?php echo (!$endCircuit) ? '<i class=\'fa fa-check\'></i>' : '<i class=\'fa fa-check\'></i><i class=\'fa fa-lock\'></i> '; ?>",
    });
</script>
<?php } ?>

