<?php

/**
 *
 * Courriers/historiqueGlobal.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Arnaud AUZOLAT
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Html->css(array('SimpleComment.comment.css'), null, array('inline' => false));
?>
<!-- Affichage des états des flux-->
<?php
// Gestion de l'affichage des états du flux
$imgEtat = 'flux_valide.png';
$titleEtat = __d('courrier', 'Courrier.courrier_valide');
$altEtat = 'validé';
$etat = @$bannettes[0]['Bancontenu']['etat'];
if ($etat == -1) {
    $imgEtat = 'flux_refuse.png';
    $titleEtat = __d('courrier', 'Courrier.courrier_refuse');
    $altEtat = 'refusé';
} else if ($etat == 1 || $etat == 0 ) {
    $imgEtat = 'flux_a_traite.png';
    $titleEtat = __d('courrier', 'Courrier.courrier_a_traite');
    $altEtat = 'traitement';
} else if ($etat == 2) {
    $imgEtat = 'flux_cloture.png';
    $titleEtat = __d('courrier', 'Courrier.courrier_cloture');
    $altEtat = 'cloturé';
}

// Gestion de l'affichage des priorités
$imgPriority = 'priority_unknown.png';
$priority = $courrier['Courrier']['priorite'];
$altPriority = $priority;
$titlePriority = __d('courrier', 'Courrier.priorite_indefinie');
if ($priority == 0) {
    $imgPriority = 'priority_low.png';
    $titlePriority = __d('courrier', 'Courrier.priorite_basse');
} else if ($priority == 1) {
    $imgPriority = 'priority_mid.png';
    $titlePriority = __d('courrier', 'Courrier.priorite_moyenne');
} else if ($priority == 2) {
    $imgPriority = 'priority_high.png';
    $titlePriority = __d('courrier', 'Courrier.priorite_haute');
}

// Gestion de l'affichage des directions
$direction = $courrier['Courrier']['direction'];
$directionDef = array(
    '0' => array(
        'img' => 'folder_outbox.png',
        'title' => __d('courrier', 'Courrier.courrier_sortant')
        ),
    '1' => array(
        'img' => 'folder_inbox.png',
        'title' => __d('courrier', 'Courrier.courrier_entrant')
        ),
    '2' => array(
        'img' => 'flux_interne.png',
        'title' => __d('courrier', 'Courrier.courrier_interne')
        )
    );
?>

<?php
    $contactInfos = "";
    if( !empty( $courrier['Organisme']['name']) && empty($courrier['Contact']["name"]) ) {
      $contactInfos = $courrier['Organisme']["name"];
    }
    if( !empty( $courrier['Organisme']['name']) && !empty($courrier['Contact']["name"]) ) {
        $contactInfos = $courrier['Organisme']["name"]. ' / '.$courrier['Contact']["name"];
    }
    if( empty( $courrier['Organisme']['name']) && !empty($courrier['Contact']["name"]) ) {
        $contactInfos = $courrier['Contact']["name"];
    }
?>

<div class="container">
    <div class="row">
        <div class="table-list">
            <h3>Flux: <?php echo $courrier['Courrier']['name'].' - Numéro de référence : '.$courrier['Courrier']['reference'];?></h3>
            <div class="row">
                <div  class="infos col-sm-7" style="margin-right: -13px;">
                    <div id="flux_infos" class="tabs-left">
                        <div class="panel panel-default fieldsetView">
                            <div class="panel-heading">
                                <h4 class="panel-title">Informations
                                    <span class="action-title btn-group" style="margin-top: -5px;">
                                        <a href="#" title="<?php echo  __d('default', 'Button.export'); ?>"  alt="<?php echo  __d('default', 'Button.export'); ?>" class="sendtoged btn btn-info-webgfc btn-secondary"><i class="fa fa-share-square-o" aria-hidden="true"></i></a>
                                        <?php if(isset($deletable) && $deletable): ?>
                                        <a href="#" title="<?php echo  __d('default', 'Button.delete'); ?>"  alt="<?php echo  __d('default', 'Button.delete'); ?>" class="deleteFlux btn btn-danger btn-secondary"><i class="fa fa-trash" aria-hidden="true"></i></a>
                                        <?php endif; ?>
                                    </span>
                                </h4>
                            </div>
                            <div class="panel-body">
                                <dl class="col-sm-2">
                                    <dt><?php echo __d('bannette', 'Courrier.priorite');?></dt><dd><?php echo $this->Html->image('/img/' . $imgPriority, array('alt' => $altPriority, 'title' => $titlePriority));?></dd>
                                    <dt><?php echo __d('bannette', 'Courrier.direction');?></dt><dd><?php echo isset($directionDef[$direction]) ? $this->Html->image('/img/' . @$directionDef[$direction]['img'], array('alt' => $direction, 'title' => @$directionDef[$direction]['title'] ) ) : '';?></dd>
                                    <dt><?php echo __d('bannette', 'Courrier.etat');?></dt><dd><?php echo $this->Html->image('/img/' . $imgEtat, array('alt' => $altEtat, 'title' => $titleEtat));?></dd>
                                </dl>
                                <dl class="col-sm-9">
                                    <dt><?php echo __d('courrier', 'Courrier.reference');?></dt><dd><?php echo $courrier['Courrier']["reference"];?></dd>
                                    <dt><?php echo __d('courrier', 'Courrier.name');?></dt><dd><?php echo $courrier['Courrier']['name'];?></dd>
                                    <dt><?php echo __d('courrier', 'Courrier.origineflux_id');?></dt><dd><?php echo $courrier['Origineflux']['name'];?></dd>
                                    <dt><?php echo __d('courrier', 'Courrier.objet');?></dt><dd><?php echo $this->String->troncateStr($courrier['Courrier']["objet"], 90);?></dd>
                                    <dt>Identité du contact</dt><dd><?php echo $contactInfos;?></dd>
                                    <dt><?php echo __d('courrier', 'Courrier.affairesuiviepar_id');?></dt><dd><?php echo @$courrier['Affairesuivie']["name"];?></dd>
                                    <dt><?php echo __d('courrier', 'Courrier.datereception');?></dt><dd><?php echo isset( $courrier['Courrier']['datereception'] ) ? strftime( '%d/%m/%Y', strtotime( $courrier['Courrier']['datereception'] ) ) : '' ;?></dd>
                                    <dt>Type / Sous-type</dt><dd><?php echo $courrier['Type']["name"].' / '.$courrier['Soustype']["name"];?></dd>
                                    <?php if(Configure::read('Conf.SAERP')) :?>
                                    <dt>Type de document</dt><dd><?php echo !empty($courrier['Courrier']["typedocument"]) ? $typesdocument[$courrier['Courrier']['typedocument']] : '';?></dd>
                                    <dt>Marché concerné</dt><dd><?php echo !empty( $courrier['Marche']["name"] ) ? $courrier['Marche']['name']." - ".$courrier['Marche']['titulaire'] : '';?></dd>
                                    <?php endif;?>
                                </dl>
                            </div>
                        </div>
                        <div class="panel panel-default fieldsetView">
                            <div class="panel-heading">
                                <h4 class="panel-title"><?php echo __d('courrier', 'Contactinfo'); ?></h4>
                            </div>
                            <div class="panel-body">
                            <?php if(!empty($courrier['Contact']['id']) ):?>
                                <dl class="col-sm-5">
                                    <dt class="strong">Nom / Prénom</dt>
                                    <dd class="tdField"><?php echo ( isset( $courrier['Contact']['civilite'] ) ? $courrier['Contact']['civilite'] : null ).' '.$courrier['Contact']['nom'].' '.$courrier['Contact']['prenom'];?></dd>
                                    <dt class="strong"><?php echo __d('contact', 'Contact.adresse');?></dt>
                                    <dd class="tdField"><?php echo $courrier['Contact']['adresse'];?></dd>

                                    <dt class="strong"><?php echo __d('contact', 'Contact.name');?></dt>
                                    <dd class="tdField"><?php echo $courrier['Contact']['name'];?></dd>
                                    <dt class="strong"><?php echo __d('contact', 'Contact.numvoie');?></dt>
                                    <dd class="tdField"><?php echo $courrier['Contact']['numvoie'];?></dd>

                                    <dt class="strong"><?php echo __d('contact', 'Contact.tel');?></dt>
                                    <dd class="tdField"><?php echo $courrier['Contact']['tel'];?></dd>

                                    <dt class="strong"><?php echo __d('contact', 'Contact.email');?></dt>
                                    <dd class="tdField"><?php echo $courrier['Contact']['email'];?></dd>
                                </dl>
                                <dl class="col-sm-5">
                                    <dt class="strong"><?php echo __d('contact', 'Contact.nomvoie');?></dt>
                                    <dd class="tdField"><?php echo !empty($courrier['Contact']['banadresse']) ? $courrier['Contact']['banadresse'] : $courrier['Contact']['nomvoie'];?></dd>

                                    <dt class="strong"><?php echo __d('contact', 'Contact.role');?></dt>
                                    <dd class="tdField"><?php echo $courrier['Contact']['role'];?></dd>
                                    <dt class="strong"><?php echo __d('contact', 'Contact.compl');?></dt>
                                    <dd class="tdField"><?php echo $courrier['Contact']['compl'];?></dd>

                                    <dt class="strong"><?php echo __d('contact', 'Contact.cp');?></dt>
                                    <dd class="tdField"><?php echo $courrier['Contact']['cp'];?></dd>
                                    <dt class="strong"><?php echo __d('contact', 'Contact.ville');?></dt>
                                    <dd class="tdField"><?php echo $courrier['Contact']['ville'];?></dd>
                                </dl>
                        <?php else:?>
                        <?php echo $this->Html->tag('div', __d('addressbook', 'Contactinfo.void'), array('class' => 'alert alert-warning'));?>
                    <?php endif;?>
                            </div>
                        </div>
                        <div class="panel panel-default fieldsetView zone">
                            <div class="panel-heading">
                                <h4 class="panel-title"><?php echo __d('courrier', 'Acteurs'); ?></h4>
                            </div>
                            <div class="panel-body">
                                <table data-toggle="table" data-locale = "fr-CA" data-show-refresh="false" data-show-toggle="false" data-show-columns="true" data-search="false" data-select-item-name="toolbar1" > 
                                    <thead>
                                    <th><i class="fa fa-desktop" aria-hidden="true" text-align="center" title="Nom du bureau ayant traité le flux" ></i></th>
                                    <th><i class="fa fa-id-card-o" aria-hidden="true" title="Nom de l'agent ayant traité le flux"></i></th>
                                    <th><i class="fa fa-user-circle" aria-hidden="true" title="Rôle de l'agent ayant traité le flux"></i></th>
                                    <th><i class="fa fa-calendar-check-o" aria-hidden="true" title="Date d'arrivée chez l'agent"></i></th>
                                    <th><i class="fa fa-calendar-check-o" aria-hidden="true" title="Date de dernière modification"></i></th>
                                    <th><i class="fa fa-calendar-check-o" aria-hidden="true" title="Date de validation"></i></th>
                                    <th><i class="fa fa-clone" aria-hidden="true"  title="Pour copie ?"></i></th>
                                    </thead>
                                    <tbody>
                            <?php foreach( $bannettes as $key => $bannette ):?>
                            <?php
                            // Affichage de l'icône pour copie ou non
                            $bannetteName = $bannette['Bannette']['name'];
                            // Utilisateur ayant réalisé l'action
                            $user = @$bannette['Desktop']['User'][0]['nom'].' '.@$bannette['Desktop']['User'][0]['prenom'];
                            if( $user == ' ' ) {
                                $user = @$bannette['Desktop']['SecondaryUser'][0]['nom'].' '.@$bannette['Desktop']['SecondaryUser'][0]['prenom'];
                            }
                            ?>
                                        <tr>
                                            <td class="tdDate"><?php echo $bannette['Desktop']['name'];?></td>
                                            <td class="tdDate"><?php echo $user;?></td>
                                            <td class="tdDate"><?php echo $bannette['Desktop']['Group']['name'];?></td>
                                            <td class="tdDate"><?php echo strftime( '%d/%m/%Y %T', strtotime( $bannette['Bancontenu']['created'] ) );?></td>
                                            <td class="tdDate"><?php echo !empty($bannette['Bancontenu']['modified']) ? strftime( '%d/%m/%Y %T', strtotime( $bannette['Bancontenu']['modified'] ) ) : '';?></td>
                                            <td class="tdDate"><?php echo !empty($bannette['Bancontenu']['validated']) ? strftime( '%d/%m/%Y %T', strtotime( $bannette['Bancontenu']['validated'] ) ) : '';?></td>
                                            <td class="tdState"><?php echo ($bannetteName == 'copy' ) ? $this->Html->image('/img/valid_16.png', array('alt' => 'Pour copie', 'title' => 'Flux envoyé pour copie' ) ) : null;?></td>
                                        </tr>
                            <?php endforeach;?>
                                    </tbody>
                                </table>
                            </div>
                        </div>


                        <!-- Liste des métadonnées déposées sur le flux -->
    <?php
    $divContent = $this->Html->tag('div', __d('metadonnee', 'Metadonnee.void'), array('class' => 'alert alert-warning'));

    $valOfSelect =  Configure::read('Selectvaluemetadonnee.id');
    if (!empty($metas)) {
        $dlContent = '';
        foreach ($metas as $meta) {
            if ($meta['Metadonnee']['typemetadonnee_id'] != 3 || ($meta['Metadonnee']['typemetadonnee_id'] == 3 && $meta['CourrierMetadonnee']['valeur'] != 'no')) {
                $dlContent .= $this->Html->tag('dt', $meta['Metadonnee']['name']);
                if ($meta['Metadonnee']['typemetadonnee_id'] == 3) {
                    $img = $this->Html->tag('i','',array('class'=>'fa fa-check-square-o','aria-hidden'=>true));
                $dlContent .= $this->Html->tag('dd', $img . ' ' . __d('metadonnee', 'Metadonnee.checked'));
                } else if ($meta['Metadonnee']['typemetadonnee_id'] == $valOfSelect) {
                    $dlContent .= $this->Html->tag('dd', (isset( $meta['Selectvaluemetadonnee'][$meta['CourrierMetadonnee']['valeur']] ) ) ? $meta['Selectvaluemetadonnee'][$meta['CourrierMetadonnee']['valeur']] : 'Aucune information');
                } else if ($meta['Metadonnee']['typemetadonnee_id'] == 1) {
                    $dlContent .= $this->Html->tag('dd', (isset( $meta['CourrierMetadonnee']['valeur'] ) ) ? $this->Html2->ukToFrenchDateWithSlashes($meta['CourrierMetadonnee']['valeur']) : 'Aucune information');
                } else {
                    $dlContent .= $this->Html->tag('dd', ($meta['CourrierMetadonnee']['valeur'] != '') ? $meta['CourrierMetadonnee']['valeur'] : 'Aucune information');
                }
            }else{
                $dlContent .= $this->Html->tag('dt', $meta['Metadonnee']['name']);
                if ($meta['Metadonnee']['typemetadonnee_id'] == 3 && $meta['CourrierMetadonnee']['valeur'] == 'no') {
                    $img = $this->Html->tag('i','',array('class'=>'fa fa-window-close-o','aria-hidden'=>true));
                    $dlContent .= $this->Html->tag('dd', $img . ' ' . __d('metadonnee', 'Metadonnee.checked'));
                }
            }
        }
        $divContent = $this->Html->tag('dl', $dlContent);
    }
    ?>

                        <div class="panel panel-default fieldsetView">
                            <div class="panel-heading">
                                <h4 class="panel-title"><?php echo __d('courrier', 'Metadonnees'); ?></h4>
                            </div>
                            <div class="panel-body">
                <?php echo $divContent; ?>
                            </div>
                        </div>


                        <!-- Liste des comentaires (privés / publics) émis sur le flux -->

                        <div class="panel panel-default fieldsetView">
                            <div class="panel-heading">
                                <h4 class="panel-title">Commentaires</h4>
                            </div>
                            <div class="panel-body">
                <?php echo $this->GFCComment->drawComments($comments); ?>
                            </div>
                        </div>

                    </div>
                </div>
                <div id="flux_context" class="context col-sm-5  tabbable tabs-left">
            <?php
            $context_params = array(
                'fluxId' => $courrier['Courrier']['id'],
                'rights' => $rights,
                'parent' => $parent,
                'sortant' => $sortant,
                'mainDoc' => $mainDoc,
                'documentList' => $documents
                );
            echo $this->Element('context', $context_params);
            ?>
                </div>
            </div>
        </div>
    </div>
</div>


<script type="text/javascript">
    $('.sendtoged').click(function () {

        swal({
            title: "<?php echo __d('default', 'Versement en GED'); ?>",
            text: "<?php echo __d('default', 'Etes-vous sûr de vouloir verser ce flux en GED ?'); ?>",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#d33",
            cancelButtonColor: "#3085d6",
            confirmButtonText: '<i class="fa fa-check" aria-hidden="true"></i> Valider',
            cancelButtonText: '<i class="fa fa-times-circle-o" aria-hidden="true"></i> Annuler',
        }).then(function (data) {
            if (data) {
                gui.loader({
                    message: gui.loaderMessage,
                    element: $('#courrier_skel')
                });

                var updateElement = $(this);
                gui.request({
                    url: "/courriers/sendToGed/<?php echo $courrier['Courrier']['id']; ?>",
                    updateElement: updateElement
                }, function () {
                    updateElement.removeAttr('loaded');
                    window.location.reload();
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n\'avez pas envoyé,;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });
    });

    $('.deleteFlux').click(function () {

        swal({
            title: "<?php echo __d('default', 'Modal.suppressionTitle'); ?>",
            text: "<?php echo __d('default', 'Modal.suppressionContents'); ?>",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#d33",
            cancelButtonColor: "#3085d6",
            confirmButtonText: '<i class="fa fa-check" aria-hidden="true"></i> Valider',
            cancelButtonText: '<i class="fa fa-times-circle-o" aria-hidden="true"></i> Annuler',
        }).then(function (data) {
            if (data) {
                gui.loader({
                    message: gui.loaderMessage,
                    element: $('#courrier_skel')
                });

                var updateElement = $(this);
                gui.request({
                    url: "/courriers/delete/<?php echo $courrier['Courrier']['id']; ?>",
                    updateElement: updateElement
                }, function () {
                    updateElement.removeAttr('loaded');
                    window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement/index"; ?>";
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n\'avez pas supprimé,;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });
    });

</script>