<?php

/**
 *
 * Courriers/set_affaire.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<script type="text/javascript">
    $(document).ready(function () {
        $("<div id='dossier'>").insertBefore($('#DossierName').parents('.form-group'));
        $("#dossier").append($('#DossierName').parents('.form-group'));
        $("#dossier").append($('#DossierName').parents('.form-group'));
        $("#dossier").append($('#DossierComment').parents('.form-group'));
        $("#dossier").append($('#DossierComment').parents('.form-group'));
    });
    function selectDossier() {
        if ($('#AffaireDossierId option:selected').val() != "new") {
            $('#dossier').hide();
        } else {
            $('#dossier').show();
        }
    }
</script>
<?php 
if (!empty($dossiers)) {
    $options = array(
        'nodes' => array(
            array(
                'model' => 'Dossier',
                'field' => 'name'
            ),
            array(
                'model' => 'Affaire',
                'field' => 'name',
                'actions' => array(
                    "select" => array(
                        "ico" => 'fa fa-lock',
                        "icoAlt" => 'fa fa-unlock-alt',
                        "url" => Configure::read('BaseUrl') . '/courriers/setAffaire/' . $this->data['Courrier']['id'],
                        "icoColor" => "#6EC06E"
                    )
                )
            )
        )
        ,
        'listId' => 'browser',
        'listClass' => 'filetree',
        'selectedChild' => $selectedAffaire,
        'selectedFolder' => $selectedFolder
    );

    $list = $this->Liste->jqueryTreeView($dossiers, $options);
}

$formAffaireNew = array(
    'name' => 'Courrier',
    'label_w' => 'col-sm-4',
    'input_w' => 'col-sm-7',
    'input' => array(
        'Affaire.name' => array(
            'labelText' =>__d('affaire', 'Affaire.name'),
            'inputType' => 'text',
            'items'=>array(
                'type'=>'text',
                'value'=>$newAffaireName
            )
        ),
        'Affaire.comment' => array(
            'labelText' =>__d('affaire', 'Affaire.comment'),
            'inputType' => 'textarea',
            'items'=>array(
                'type'=>'textarea'
            )
        ),
        'Affaire.dossier_id' => array(
            'labelText' =>__d('affaire', 'Affaire.dossier'),
            'inputType' => 'select',
            'items'=>array(
                'type'=>'select',
                'options' => $listDossiers,
                'empty' => true
            )
        ),
        'Dossier.name' => array(
            'labelText' =>__d('dossier', 'Dossier.name'),
            'inputType' => 'text',
            'items'=>array(
                'type'=>'text',
//                'value'=>$newDossierName
            )
        ),
        'Dossier.comment' => array(
            'labelText' =>__d('dossier', 'Dossier.comment'),
            'inputType' => 'textarea',
            'items'=>array(
                'type'=>'textarea'
            )
        )
    )
);
$form = $this->Formulaire->createForm($formAffaireNew);
$form .= $this->Form->end();
?>

<div>
    <ul class="nav nav-tabs titre" role="tablist">
        <li class="active"><a href="#affaire_assoc_exist"  data-toggle="tab"><?php echo __d('courrier', 'Courrier.affaire.associate'); ?></a></li>
        <li><a href="#affaire_assoc_new"  data-toggle="tab"><?php echo __d('courrier', 'Courrier.affaire.assoc.new'); ?></a></li>
    </ul>
    <div class="tab-content clearfix tab-pane-affaire">
        <?php if (!empty($dossiers)): ?>
        <div class="tab-pane active divContent" id="affaire_assoc_exist">
            <?php echo $list; ?>
        </div>
        <?php endif; ?>
        <div class="tab-pane divContent" id="affaire_assoc_new">
            <?php echo $form; ?>
        </div>
    </div>
</div>
<script type="text/javascript">
    $("#browser").treeview({collapsed: true});

    $('.treeviewBttn i').each(function () {
        var parentSpan = $(this).parent().parent();
        var parentLink = $(this).parent();
        var href = $(this).parent().attr('href');
        var img = $(this).detach();
        img.appendTo(parentSpan).click(function () {
            gui.request({
                url: href,
                loaderElement: $('#affaires'),
                loaderMessage: gui.loaderMessage,
                data: $('#CourrierSetAffaireForme').serialize(),
            }, function (data) {
                getJsonResponse(data);
                $('#tabs').tabs('load', $('#tabs').tabs('option', 'selected'));

                $("#affaire_assoc_exist").empty();
                gui.request({
                    url: "/courriers/setAffaire/" + "<?php echo $this->data['Courrier']['id'];?>",
                    updateElement: $('#affaires')
                });
            });
        });
    });


<?php if (isset($selectedAffaire) && $selectedAffaire != '') { ?>
    $('.folder', $('#Affaire_<?php echo $selectedAffaire; ?>').parent().parent().parent().parent().parent()).click();
<?php } ?>



    $('#AffaireDossierId').change(function () {
        selectDossier();
    });
    selectDossier();

     <?php $tooltipAffaire = $this->Html->tag('i',' ',array('id' => 'tooltipAffaire', 'name' => 'tooltipAffaire', 'title' => __d('affaire', 'Affaire.comment'),'class'=>'fa fa-info') ); ?>

    $('<?php echo $tooltipAffaire; ?>').appendTo($('.treeviewBttn').parent());

    $('.treeview span.folder .fa-info-circle, .treeview span.file .fa-info-circle').click(function (e) {
        if ($(this).parent().parent().children('input').val() != '') {
            var dataString = $(this).parent().parent().children('input').val();
            $.ajax({
                type: 'post',
                url: '/Affaires/getComment',
                data: dataString,
                success: function (data) {
                    if (data != "") {
                        $('span#' + dataString).popover({content: data, container: $('span#' + dataString)});
                    } else {
                        $('span#' + dataString).popover({content: "Aucune information", container: $('span#' + dataString)});
                    }
                }
            });


        }
    }); // FIXME
</script>
