<?php

/**
 *
 * Courriers/set_tache.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>

<script type="text/javascript">
    var newCourrierId = <?php echo $id; ?>;
    function updateTaskNotification() {
        $('#nbTaches').html("<img src='/img/ajax-loader-mini.gif' alt='' />");
        gui.request({
            url: '/taches/getTaches/',
            updateElement: $('#nbTaches')
        });
    }

    function validTache(id) {
        gui.request({
            loader: true,
            loaderMessage: gui.loaderMessage,
            updateElement: $('#tabs'),
            url: "/taches/checkTache/" + id
        }, function (data) {
            getJsonResponse(data);
            $('#tabs').tabs('load', $('#tabs').tabs('option', 'selected'));
            updateTaskNotification();
        });
    }

    function grabTache(id) {
        gui.request({
            loader: true,
            loaderMessage: gui.loaderMessage,
            updateElement: $('#tabs'),
            url: "/taches/grabTache/" + id
        }, function (data) {
            getJsonResponse(data);
            $('#tabs').tabs('load', $('#tabs').tabs('option', 'selected'));
            updateTaskNotification();
        });
    }

    function releaseTache(id) {
        gui.request({
            loader: true,
            loaderMessage: gui.loaderMessage,
            updateElement: $('#tabs'),
            url: "/taches/releaseTache/" + id
        }, function (data) {
            getJsonResponse(data);
            $('#tabs').tabs('load', $('#tabs').tabs('option', 'selected'));
            updateTaskNotification();
        });
    }

    function setTache(id) {
        var url;
        var title;
        if (id != parseInt(id)) {
            url = "<?php echo "/taches/add/" . $id; ?>";
            title = "<?php echo __d('tache', 'New Tache'); ?>";
        } else {
            url = "<?php echo "/taches/edit/"; ?>" + id;
            title = "<?php echo __d('tache', 'Edit Tache'); ?>";
        }
        $(".modal").empty();
        gui.formMessage({
            url: url,
            title: title,
            loader: true,
            width: 470,
            loaderMessage: gui.loaderMessage,
            updateElement: $('#taches'),
            buttons: {
                "<?php echo __d('default', 'Button.submit'); ?>": function () {
                    var form = $(this).parents(".modal").find('form');
                    if (form_validate(form)) {
                        gui.request({
                            url: url,
                            data: form.serialize()
                        }, function (data) {
                            getJsonResponse(data);
                            if (typeof affichageEtapes !== 'undefined' && $.isFunction(affichageEtapes)) {
                                affichageEtapes(newCourrierId);
                            } else {
                                $("#taches").empty();
                                gui.request({
                                    url: "/courriers/setTache/" + newCourrierId,
                                    updateElement: $('#taches')
                                });
                            }
                            updateTaskNotification();
                        });
                        $(this).parents(".modal").modal('hide');
                        $(this).parents(".modal").empty();
                    } else {
                        swal({
                            title: "Oops...",
                            text: "Veuillez vérifier votre formulaire!",
                            type: "error",
                            timer: 1500
                        });
                    }
                },
                "<?php echo __d('default', 'Button.cancel'); ?>": function () {
                    $(this).parents(".modal").modal('hide');
                    $(this).parents(".modal").empty();
                }
            }
        });

    }

    function deleteTache(id) {
        swal({
            title: "<?php echo __d('default', 'Modal.suppressionTitle'); ?>",
            text: "<?php echo __d('default', 'Modal.suppressionContents'); ?>",
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: "<?php echo __d('default', 'Button.submit'); ?>",
            cancelButtonText: "<?php echo __d('default', 'Button.cancel'); ?>",
        }).then(function (data) {
            if (data) {
                gui.request({
                    url: "/taches/delete/" + id,
                    updateElement: $('#taches'),
                    loader: true,
                    loaderMessage: gui.loaderMessage
                }, function (data) {
                    getJsonResponse(data);
                    if (typeof affichageEtapes !== 'undefined' && $.isFunction(affichageEtapes)) {
                        affichageEtapes(newCourrierId);
                    } else {
                        $("#taches").empty();
                        gui.request({
                            url: "/courriers/setTache/" + newCourrierId,
                            updateElement: $('#taches')
                        });
                    }
                    updateTaskNotification();
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n'avez pas supprimé, ;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });
    }

</script>
<?php 
if (!$canAddTask) {
    echo $this->Html->tag('div', __d('tache', 'Tache.cantAddTask'), array('class' => 'alert alert-warning'));
}
if (count($taches) > 0):
?>
<div style="display: none" id="panel_taches">
    <legend id="tacheHeader">
        <h4 id="tacheHeader"><?php echo __d('courrier','Taches'); ?>
            <?php if ($canAddTask): ?>
            <a href='#' class='btn btn-info-webgfc addTache'>
                <i class='fa fa-plus' alt='Ajouter un nouveau tâche' title='Ajouter un nouveau tâche'  aria-hidden='true'></i>
            </a>
            <?php endif; ?>
        </h4>
    </legend>
    <div class="panel-body" id="setTacheRow" style="padding: 0px">
        <?php 
        foreach ($taches as $tache){
            switch ($tache['Tache']['statut']) {
                case 2:
                    $titleSpanClass =  "tacheFinish";
                    $titleIconTitle = __d("tache", "tache.traitee");
                    break;
                case 1:
                    $titleSpanClass =  "tacheNormal";
                    $titleIconTitle = __d("tache", "tache.attente");
                    break;
                case 0:
                    if($tache['retard']){
                        $titleSpanClass =  "tacheLate";
                        $titleIconTitle = __d("tache", "tache.retard");
                    }else{
                        $titleSpanClass =  "tacheNormal";
                        $titleIconTitle = __d("tache", "tache.encours");
                    }
                    break;
            }
        ?>
        <div class="col-sm-6">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title"><?php echo $tache['Tache']['name']; ?> 
                        <span class="<?php echo $titleSpanClass; ?>">
                            <i class="fa fa-dot-circle-o" alt ="<?php echo $titleIconTitle; ?>"  title ="<?php echo $titleIconTitle; ?>"  aria-hidden="true"></i>
                        </span>
                    </h4>
                </div>
                <div class="panel-body">
                    <ul>
                        <?php
                        foreach ($tache['Desktop'] as $desktop) {
                                $actionDesktop = '';
                                $actionDesktopClass = '';
                                if ($tache['Tache']['statut'] == 2 && $tache['Tache']['act_desktop_id'] == $desktop['id']) {
                                    $actionDesktop = $this->Html->image('/img/task_valid_16.png', array('alt' => __d('Tache', 'tache.validatedBy'), 'title' => __d('Tache', 'tache.validatedBy')));
                                    $actionDesktopClass = 'ui-state-valid';
                                }
                                if ($tache['Tache']['statut'] == 1 && $tache['Tache']['act_desktop_id'] == $desktop['id']) {
                                    $actionDesktop = $this->Html->image('/img/task_grab_16.png', array('alt' => __d('Tache', 'tache.grabedBy'), 'title' => __d('Tache', 'tache.grabedBy')));
                                    $actionDesktopClass = 'alert alert-warning';
                                }
                        ?>
                        <li class="list-group-item"><?php echo $actionDesktop . ' ' . $desktop['name']; ?></li>
                        <?php 
                            }
                        ?>
                    </ul>
                </div>
                <div class="panel-footer " role="group">
                    <div class="btn-group">
                    <?php 
                    if($rights['edit']):
                    ?>
                        <a href="#" class="tacheEdit btn btn-info-webgfc btn-secondary" title="<?php echo  __d('default', 'Button.edit'); ?>" idTache = "<?php echo $tache['Tache']['id']; ?>">
                            <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
                        </a>
                    <?php endif; 
                    if($rights['delete']):
                    ?>
                        <a href="#" class="tacheDelete btn btn-danger btn-secondary" title="<?php echo  __d('default', 'Button.delete'); ?>" idTache = "<?php echo $tache['Tache']['id']; ?>">
                            <i class="fa fa-trash" aria-hidden="true"></i>
                        </a>
                    <?php 
                    endif;
                    if($tache['canGrab']):
                    ?>
                        <a href="#" class="tacheGrab btn btn-info-webgfc btn-secondary" title="<?php echo  __d('Tache', 'tache.grab'); ?>" itemId = "<?php echo $tache['Tache']['id']; ?>">
                            <i class="fa fa-plus-square-o" aria-hidden="true"></i>
                        </a>
                    <?php 
                    endif;
                    if($tache['canRelease']):
                    ?>
                        <a href="#" class="tacheRelease btn btn-info-webgfc btn-secondary" title="<?php echo  __d('Tache', 'tache.release'); ?>" itemId = "<?php echo $tache['Tache']['id']; ?>">
                            <i class="fa fa-minus-square-o" aria-hidden="true"></i>
                        </a>
                    <?php 
                    endif;
                    if($tache['canValid']):
                    ?>
                        <a href="#" class="tacheValid btn btn-info-webgfc btn-secondary" title="<?php echo  __d('Tache', 'tache.validate'); ?>" itemId = "<?php echo $tache['Tache']['id']; ?>">
                            <i class="fa fa-check-square-o" aria-hidden="true"></i>
                        </a>
                    <?php
                    endif;
                    ?>
                    </div>
                </div>
            </div>
        </div>
        <?php  } ?>
    </div>
</div>
    <?php
else:
    ?>
<!-- aucune taches -->
<div style="display: none" id="panel_taches">
    <legend id="tacheHeader">
        <h4 id="tacheHeader"><?php echo __d('courrier','Taches'); ?>
            <?php if ($canAddTask): ?>
            <a href='#' class='btn btn-info-webgfc addTache'>
                <i class='fa fa-plus' alt='Ajouter un nouveau tâche' title='Ajouter un nouveau tâche'  aria-hidden='true'></i>
            </a>
            <?php endif; ?>
        </h4>
    </legend>
    <div class="panel-body">
        <div class="alert alert-warning"><?php echo __d('tache', 'Tache.void'); ?></div>
    </div>
</div>
<?php 
endif;
?>
<script type="text/javascript">
    if ($("#tacheFooter").length == 0) {
        $('#panel_taches').show();
        $(".setTachesContents").appendTo($('#setTacheRow').show());
    } else {
        $('#setTacheRow').show();
        $(".setTachesContents").appendTo($('#panel_taches').show());
    }
    $('.tacheValid').button().click(function () {
        validTache($(this).attr("itemId"));
    });

    $('.tacheGrab').button().click(function () {
        grabTache($(this).attr("itemId"));
    });

    $('.tacheRelease').button().click(function () {
        releaseTache($(this).attr("itemId"));
    });

    $('.tacheEdit').button().click(function () {
        setTache($(this).attr("idTache"));
    });

    $('.tacheDelete').button().click(function () {
        deleteTache($(this).attr("idTache"));
    });

<?php if ($canAddTask) { ?>
    $('.addTache').button().click(function () {
        setTache();
    });
<?php } ?>

    $('.listTaches li.tache').hover(function () {
        $(this).addClass('alert alert-warning');
    }, function () {
        $(this).removeClass('alert alert-warning');
    });
</script>
