<?php

/**
 *
 * Desktopsmanagers/edit.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Arnaud AUZOLAT
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
echo $this->Html->script('formValidate.js', array('inline' => true));
?>
<div class="col-sm-12">
    <?php
    $formDesktopsmanagers = array(
        'name' => 'Desktopmanager',
        'label_w' => 'col-sm-5',
        'input_w' => 'col-sm-6',
        'input' => array(
            'Desktopmanager.id' => array(
                'inputType' => 'hidden',
                'items'=>array(
                    'type'=>'hidden'
                )
            ),
            'Desktopmanager.name' => array(
                'labelText' =>__d('desktopmanager', 'Desktopmanager.name'),
                'inputType' => 'text',
                'items'=>array(
                    'required'=>true,
                    'type'=>'text'
                )
            ),
            'Desktop.Desktop' => array(
                'labelText' =>__d('desktopmanager', 'Desktopmanager.desktop_id'),
                'inputType' => 'select',
                'items'=>array(
                    'type'=>'select',
                    'options' => $desktopsmanagers,
                     'empty' => true,
                    'multiple' => true
                )
            ),
            'Desktopmanager.isdispatch' => array(
                'labelText' =>__d('desktopmanager', 'Desktopmanager.isdispatch'),
                'inputType' => 'checkbox',
                'changeWidth' =>true,
                'items'=>array(
                    'type'=>'checkbox',
                    'checked'=>$this->request->data['Desktopmanager']['isdispatch'],
                    'new_label_w' =>'col-sm-8',
                    'new_input_w' =>'col-sm-4',
                )
            )
        )
    );
    if( Configure::read('Conf.SAERP')) {
        $formDesktopsmanagers['input']['Desktopmanager.intituleagent_id'] = array(
            'labelText' =>__d('desktopmanager', 'Desktopmanager.intituleagent_id'),
                'inputType' => 'select',
                'items'=>array(
                    'type'=>'select',
                     'empty' => true
                )
        );
    }
    echo $this->Formulaire->createForm($formDesktopsmanagers);
    echo $this->Form->end();
    ?>
    <br>
    <?php if(!empty($circuitName['name'])) { ?>
    <fieldset>
        <legend>Liste des circuits auxquels le bureau est associé</legend>
        <table class="liste-circuit-associe-bureau">
            <tbody>
                <?php foreach($circuitName['name'] as $cId => $name): ?>
                <tr>
                    <td class="col-sm-7"><?php echo  $name; ?></td>
                    <td class="col-sm-3 actions"><?php echo $this->Html->tag('span', $this->Html->tag('i','', array( 'circuitId' => $cId, 'aria-hidden'=>true, 'desktopmanagerId' => $id, 'class' => 'cutCircuits fa fa-trash', 'alt' => 'Dissocier le circuit', 'title' => __d('user', 'User.cutCircuit')/*, 'url' => '/users/cutCircuit/' . $cId . '/'. $id*/ ))) ;?></td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </fieldset>
    <?php 
    }else {
    ?>
    <fieldset>
        <legend>Liste des circuits auxquels le bureau est associé</legend>
        <div class="panel-body">
            <div class='alert alert-info col-sm-10'>Ce bureau n'est associé à aucun circuit</div>
        </div>
    </fieldset>
    <?php 
    }
    ?>
</div>
<script type="text/javascript">
    $('#DesktopDesktop').select2({allowClear: true, placeholder: "Sélectionner un bureau"});
    <?php if( Configure::read('Conf.SAERP') ) {?>
    $('#DesktopmanagerIntituleagentId').select2({allowClear: true, placeholder: "Poste concerné", empty: true});
    <?php } ?>

    // Bouton permettant de dissocier le bureau d'un circuit
    $('.cutCircuits').click(function () {
        var circuitId = $(this).attr('circuitId');
        var desktopmanagerId = $(this).attr('desktopmanagerId');
        var url = '/users/cutCircuit/' + circuitId + "/" + desktopmanagerId;
        var form = $('form', $(this));
        swal({
            title: "<?php echo __d('default', 'Modal.suppressionTitle'); ?>",
            text: "<?php echo __d('default', 'Modal.suppressionContents'); ?>",
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: "<?php echo __d('default', 'Button.submit'); ?>",
            cancelButtonText: "<?php echo __d('default', 'Button.cancel'); ?>",
        }).then(function (data) {
            if (data) {
                gui.loader({
                    message: gui.loaderMessage,
                    element: $('#infos .content')
                });
                var updateElement = $(this);
                gui.request({
                    url: url,
                    data: form.serialize(),
                    updateElement: updateElement
                }, function (data) {
                    $('.loader').remove();
                    getJsonResponse(data);
                    loadCircuits();
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n'avez pas supprimé, ;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });
    });
</script>
<script type="text/javascript">
    function loadCircuits() {
        gui.request({
            url: "<?php echo Configure::read('BaseUrl') . "/desktopsmanagers/edit/" . $id; ?>",
            updateElement: $('#infos .content'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
    }
    ;
</script>
