<?php

/**
 *
 * Desktopsmanagers/get_bureaux.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Arnaud AUZOLAT
 * @copyright Initié par Adullact - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<div class="bouton-search btn-group"  role="group" id="searchControls">
    <?php
    if( !empty($desktopsmanagers) ){
        echo $this->Html->link(
            '<i class="fa fa-search" aria-hidden="true"></i>',
            '#',
            array( 'escape' => false, 
                      'title' => 'Visibilité formulaire', 
                      'onclick' => "$( '#zoneDesktopmanagerGetBureauxForm' ).toggle(); return false;", 
                      'id' => 'formulaireButton', 
                      'class' => 'btn btn-primary ' 
            )
        );
    }
        echo $this->Html->link(
            '<i class="fa fa-arrow-left" aria-hidden="true"></i>',
            '#',
            array( 'escape' => false, 
                      'title' => 'Visibilité formulaire', 
                      'onclick' => "loadBureaux(); return false;", 
                      'class' => 'btn btn-primary ' 
            )
        );
    ?>
</div>
<?php
    
    $formDesktopmanager = array(
        'name' => 'Desktopmanager',
        'label_w' => 'col-sm-4',
        'input_w' => 'col-sm-5',
        'input' => array(
            'Desktopmanager.name' => array(
                'labelText' =>__d('desktopmanager', 'Desktopmanager.name'),
                'inputType' => 'text',
                'items'=>array(
                    'type' => 'text', 
                    'required' => false
                )
            ),
            'Desktopmanager.active' => array(
                'labelText' => 'Bureau actif ?',
                'inputType' => 'checkbox',
                'items'=>array(
                    'type' => 'checkbox', 
                    'checked' => true
                )
            )
        )
    );
    ?>
<div id="zoneDesktopmanagerGetBureauxForm" class="zone-form">
    <legend>Recherche de bureaux</legend>
        <?php
            echo $this->Formulaire->createForm($formDesktopmanager);
        ?>
    <div class="controls  text-center" role="group" >
        <a id="searchButton" class="aere btn btn-success " ><i class="fa fa-check" aria-hidden="true"></i> Valider</a>
        <a id="cancelButton" class="aere btn btn-danger " ><i class="fa fa-times-circle-o" aria-hidden="true"></i> Annuler</a>
    </div>
    <?php echo $this->Form->end(); ?>
</div>

<script type="text/javascript">
    $('#formulaireButton').button();
    $('#searchButton').button();
    $(document).ready(function () {
        $('#zoneDesktopmanagerGetBureauxForm').hide();
    });


    $('#zoneDesktopmanagerGetBureauxForm').keypress(function (e) {
        if (e.keyCode == 13) {
            $('#zoneDesktopmanagerGetBureauxForm #searchButton').trigger('click');
            return false;
        }
        if (e.keyCode === 27) {
            $('#zoneDesktopmanagerGetBureauxForm #cancelButton').trigger('click');
            return false;
        }
    });



    $('#searchButton').click(function () {
        gui.request({
            url: $("#DesktopmanagerGetBureauxForm").attr('action'),
            data: $("#DesktopmanagerGetBureauxForm").serialize(),
            loader: true,
            updateElement: $('#liste .content'),
            loaderMessage: gui.loaderMessage,
        }, function (data) {
            $('#liste .content').html(data);
        });
    });
    // Ajout de l'action de recherche via la touche Entrée
    $(function () {
        $('#DesktopmanagerGetBureauxForm').keypress(function (event) {
            if (event.which == 13) {
                gui.request({
                    url: $("#DesktopmanagerGetBureauxForm").attr('action'),
                    data: $("#DesktopmanagerGetBureauxForm").serialize(),
                    loader: true,
                    updateElement: $('#liste .content'),
                    loaderMessage: gui.loaderMessage,
                }, function (data) {
                    $('#liste .content').html(data);
                }
                );
                return false;
            }
        });
    });
    $('#DesktopmanagerGetBureauxForm.folded').hide();
    $(document).ready(function () {
        $('.pagination li span').click(function () {
            $(this).find('a').click();
        });
    });
</script>
<?php

$this->Paginator->options(array(
    'update' => '#liste .content',
    'evalScripts' => true,
    'before' => 'gui.loader({ element: $("#liste .content"), message: gui.loaderMessage });',
    'complete' => '$(".loader").remove()',
));
$pagination = '';
if (Set::classicExtract($this->params, 'paging.Desktopmanager.pageCount') > 1) {
    $pagination = '<ul class="pagination">' . implode(
                            '', Set::filter(
                                array(
                                    $this->Html->tag('li', $this->Paginator->first('<<', array('separator'=>false), null, array('class' => 'disabled'))),
                                    $this->Html->tag('li', $this->Paginator->prev('<', array('separator'=>false), null, array('class' => 'disabled'))),
                                    $this->Html->tag('li', $this->Paginator->numbers(array('separator'=>false))),
                                    $this->Html->tag('li', $this->Paginator->next('>', array('separator'=>false), null, array('class' => 'disabled'))),
                                    $this->Html->tag('li', $this->Paginator->last('>>', array('separator'=>false), null, array('class' => 'disabled'))),
                                )
                            )
                        ) . '
                        </ul>';
}

if( isset( $desktopsmanagers ) ) {
    if( empty( $desktopsmanagers ) ) {
        echo $this->Html->tag( 'p', 'Aucun bureau ne correspond à votre recherche', array( 'class' => 'alert alert-warning' ) );
    }else {
        
        $fields = array(
            'name'
        );
        $actions = array(
            "edit" => array(
                "url" => Configure::read('BaseUrl') . '/desktopsmanagers/edit',
                "updateElement" => "$('#infos .content')",
                "formMessage" => false
            ),
            "delete" => array(
                "url" => Configure::read('BaseUrl') . '/desktopsmanagers/delete',
                "updateElement" => "$('#infos .content')",
                "refreshAction" => "loadBureaux();"
            )
        );
        $options = array(
            "filter" => false,
            "paginator" => false,
            "order" => "name"
        );
        $panelBodyId ="";
        if(!empty($options['panel_id'])){
            $panelBodyId = "id='".$options['panel_id']."'";
        }
?>
<div  class="bannette_panel panel-body" <?php echo $panelBodyId; ?>>
    <table id="table_bureaux"
           data-toggle="table"
           data-search="true"
           data-locale = "fr-CA"
           data-height="469"
           data-show-refresh="true"
           >
    </table>
    <p class='aere'><?php echo $pagination; ?></p>
</div>
<script>
    if ($('.table-list h3 span').length < 1) {
        $('.table-list h3').append('<span> - Total :<?php echo $nbBureau; ?></span>');
    }
    $('#table_bureaux')
            .bootstrapTable({
                data:<?php echo $this->Liste->drawTbody($desktopsmanagers, 'Desktopmanager', $fields, $actions, $options);?>,
                columns: [
                    {
                        field: 'name',
                        title: '<?php echo __d('desktopmanager','Desktopmanager.name'); ?>',
                        class: 'name'
                    },
                    {
                        field: 'edit',
                        title: 'Modifier',
                        class: 'actions thEdit',
                        width: "80px",
                        align: "center"
                    },
                    {
                        field: 'delete',
                        title: 'Supprimer',
                        class: 'actions thDelete',
                        width: "80px",
                        align: "center"
                    }
                ]
            });

    $('.pagination').insertAfter(".panel-table");
    $('#cancelButton').click(function () {
        location.reload();
    });
    $('#cancel_search').click(function () {
        location.reload();
    });

    $(document).ready(function () {
        changeTableBannetteHeight();
        $(window).resize(function () {
            changeTableBannetteHeight();
        });
    });
    function changeTableBannetteHeight() {
        $(".fixed-table-container").css('height', $(window).height() * 0.49);
        $(".fixed-table-container").css('overflow', 'hidden');
    }
</script>
<?php 
        echo $this->LIste->drawScript($desktopsmanagers, 'Desktopmanager', $fields, $actions, $options); 
    }
}    
echo $this->Js->writeBuffer();
?>
