<?php

/* global PDFJS */

/**
 *
 * Documents/get_preview.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Html->script('pdfjs/build/pdf.js');
echo $this->Html->script('pdfjs/web/pdf_viewer.js');
echo $this->Html->css('/app/webroot/js/pdfjs/web/pdf_viewer.css');

?>
<?php
if(!isset($fullEcran)){
    if ($previewType == "flexpaper") {
        echo '<div id="viewerContainer" style="height:800px;">
                    <div id="viewer" class="pdfViewer">
                    </div>
                </div> ';
    } else {
        echo $this->Element('preview', array('height' => '500px', 'width' => '200px', 'filename' => '/files/previews/' . $tmpPreviewFileBasename, 'type' => $previewType, 'mime' => $mime));
    }
}else{
    if($fullEcran == 'modal'){
        if ($previewType == "flexpaper") {
            echo '<div id="viewerContainer">
                        <div id="viewer" class="pdfViewer" >
                    </div> ';
        } else {
            echo $this->Element('preview', array('height' => '200px', 'width' => 'auto', 'filename' => '/files/previews/' . $tmpPreviewFileBasename, 'type' => $previewType, 'mime' => $mime));
        }
    }else{
        if ($previewType == "flexpaper") {
            echo '<div id="viewerContainer">
                        <div id="viewer" class="pdfViewer"></div>
                    </div> ';
        } else {
            echo $this->Element('preview', array('height' => 'auto', 'width' => 'auto', 'filename' => '/files/previews/' . $tmpPreviewFileBasename, 'type' => $previewType, 'mime' => $mime));
        }
    }
}
?>
<script>
    var previewWidth = $('.document_preview').width();
    $('#viewerContainer').css('width', previewWidth);


    <?php if ($previewType == "flexpaper") { ?>
    // The workerSrc property shall be specified.
    if (!PDFJS.PDFViewer || !PDFJS.getDocument) {
        alert('Please build the library and components using\n' +
                'node make generic components');
    }
    PDFJS.workerSrc = '<?php echo $this->Html->url('/app/webroot/js/pdfjs/build/pdf.worker.js',true); ?>';
    var DEFAULT_URL = '<?php echo $this->Html->url('/files/previews/'.$tmpPreviewFileBasename,true); ?>';
    var container = document.getElementById('viewerContainer');
    var pdfViewer = new PDFJS.PDFViewer({
        container: container,
    });
    container.addEventListener('pagesinit', function () {
        // We can use pdfViewer now, e.g. let's change default scale.
        pdfViewer.currentScaleValue = 'auto';
        $(window).scrollTop(0);
//        pdfViewer.currentScaleValue = 'scale';
    });

    PDFJS.getDocument(DEFAULT_URL).then(function (pdfDocument) {
        // Document loaded, specifying document for the viewer
        pdfViewer.setDocument(pdfDocument);
    });
    <?php } ?>
</script>

