<?php

/**
 *
 * Dossiers/get_dossiers.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
if (!empty($dossiers)) {
    foreach ($dossiers as $keydossier => $dossier) {
            $actions = !empty($dossier['Dossier']['id']) ? '<span  class = "ligne-action"><i class="fa fa-pencil-square-o editDossierBttn Dossier" aria-hidden="true" onclick="editDossier(' . $dossier['Dossier']['id'] . ');return false" ></i><i class="fa fa-trash deleteDossierBttn Dossier" aria-hidden="true" onclick="deleteDossier(' . $dossier['Dossier']['id'] . ')"></i></span>' : '';
            $node = array(
                'text' => $dossier['Dossier']['name'] .$actions ,
                'selectable' => false,
                'icon' => 'fa fa-folder',
                'nodes' => array()
            );
            foreach ($dossier['Affaire'] as $keyaffaire => $affaire) {
                $node['nodes'][$keyaffaire] = array(
                    'text' => $affaire['name'] . '<span  class = "ligne-action"><i class="fa fa-pencil-square-o editAffaireBttn Affaire" aria-hidden="true" onclick="editAffaire(' . $affaire['id'] . ');return false" ></i><i class="fa fa-trash deleteAffaireBttn Affaire" aria-hidden="true" onclick="deleteAffaire(' . $affaire['id'] . ')"></i></span>',
                    'selectable' => false,
                    'icon' => 'fa fa-file'
                );
            }
            $res[$keydossier] = $node;
        }
    ?>
<div  style="width:98%;margin: auto;">
    <a class="btn btn-info-webgfc toggle-pile" style ='margin:10px 0 10px 15px;display: display' title="Tout déplier"><i class="fa fa-window-minimize" aria-hidden="true" ></i></a>
    <div class="action-title pull-right" style="margin: 10px auto;"></div>
</div>
<div id="tree">
</div>
    <?php
} else {
    echo $this->Html->div('alert alert-warning',__d('dossier', 'Dossier.void'));
}
?>

<script type="text/javascript">
    $("#tree").treeview({
        data: <?php echo json_encode($res); ?>,
        'collapseIcon': 'fa fa-chevron-down',
        'expandIcon': 'fa fa-chevron-right'
    });
    function editDossier(id) {
        if (id != undefined) {
            $('#infos').modal('show');
            gui.request({
                url: '/dossiers/edit/' + id,
                updateElement: $('#infos .content'),
                loader: true,
                loaderMessage: gui.loaderMessage
            });
        }
    }

    function editAffaire(id) {
        $('#infos').modal('show');
        gui.request({
            url: '/affaires/edit/' + id,
            updateElement: $('#infos .content'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
    }

    function deleteDossier(id) {
        var alert = 'Attention: Si vous supprimez un dossier contenant des affaires, les affaires ne seront pas supprimées mais automatiquement transférées dans le répertoire "Affaires hors dossier"! ';
        swal({
            title: "<?php echo __d('default', 'Modal.suppressionContents'); ?>",
            text: alert,
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: "<?php echo __d('default', 'Button.submit'); ?>",
            cancelButtonText: "<?php echo __d('default', 'Button.cancel'); ?>",
        }).then(function (data) {
            if (data) {
                gui.request({
                    url: '/dossiers/delete/' + id,
                    updateElement: $('#webgfc_content'),
                    loader: true,
                    loaderMessage: gui.loaderMessage
                }, function (data) {
                    getJsonResponse(data);
                    loadDossiersAffaires();
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n'avez pas supprimé, ;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });
    }

    function deleteAffaire(id) {
        var alert = 'Attention: Si vous supprimez un dossier contenant des affaires, les affaires ne seront pas supprimées mais automatiquement transférées dans le répertoire "Affaires hors dossier"! ';
        swal({
            title: "<?php echo __d('default', 'Modal.suppressionContents'); ?>",
            text: alert,
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: "<?php echo __d('default', 'Button.submit'); ?>",
            cancelButtonText: "<?php echo __d('default', 'Button.cancel'); ?>",
        }).then(function (data) {
            if (data) {
                gui.request({
                    url: '/affaires/delete/' + id,
                    updateElement: $('#webgfc_content'),
                    loader: true,
                    loaderMessage: gui.loaderMessage
                }, function (data) {
                    getJsonResponse(data);
                    loadDossiersAffaires();
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n'avez pas supprimé, ;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });
    }

//Pouvoir tout déplier/replier d'un clic
    $(".toggle-pile").click(function () {
        var icon = $(this).find('i');
        if (icon.hasClass('fa-window-minimize')) {
            $('#tree').treeview('collapseAll', {silent: true});
            $(this).find('i').removeClass('fa-window-minimize');
            $(this).find('i').addClass('fa-window-maximize');
        } else {
            $('#tree').treeview('expandAll', {silent: true});
            $(this).find('i').addClass('fa-window-minimize');
            $(this).find('i').removeClass('fa-window-maximize');
        }
    });
</script>