<?php

/**
 *
 * Gabaritsdocuments/index.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>

<?php if( !empty($gabaritsdocuments) ) {
    $fields = array(
        'name'
    );
    $actions = array(
        "edit" => array(
            "url" => Configure::read('BaseUrl') . '/gabaritsdocuments/edit',
            "updateElement" => "$('#infos .content')",
            "formMessage" => false
        ),
        "delete" => array(
            "url" => Configure::read('BaseUrl') . '/gabaritsdocuments/delete',
            "updateElement" => "$('#infos .content')",
            "refreshAction" => "loadGabaritdocument();"
        )
    );
    $options = array();
    $data = $this->Liste->drawTbody($gabaritsdocuments, 'Gabaritdocument', $fields, $actions, $options);
    
?>

<div  class="bannette_panel panel-body">
    <table id="table_gabaritdocument"
           data-toggle="table"
           data-search="true"
           data-sortable ="true"
           data-locale = "fr-CA"
           data-height="469"
           data-pagination = "true"
           >
    </table>
</div>


<script type="text/javascript">
    //title legend (nombre de données)
    if (!$('.table-list h3 span').length < 1) {
        $('.table-list h3 span').remove();
    }
    $('.table-list h3').append('<?php echo $this->Liste->drawPanelHeading($gabaritsdocuments,$options); ?>');
    $('#table_gabaritdocument')
            .bootstrapTable({
                data:<?php echo $data;?>,
                columns: [
                    {
                        field: "name",
                        title: "<?php echo __d('operation', 'Operation.name'); ?>",
                        class: "name",
                        sortable: true
                    },
                    {
                        field: "edit",
                        title: "Modifier",
                        class: "actions thEdit",
                        width: "80px",
                        align: "center"
                    },
                    {
                        field: "delete",
                        title: "Supprimer",
                        class: "actions thDelete",
                        width: "80px",
                        align: "center"
                    }
                ]
            });

    $(document).ready(function () {
        changeTableBannetteHeight();
        $(window).resize(function () {
            changeTableBannetteHeight();
        });
    });
    function changeTableBannetteHeight() {
        $(".fixed-table-container").css('height', $(window).height() * 0.5);
    }
</script>
<?php 
    echo $this->LIste->drawScript($gabaritsdocuments, 'Gabaritdocument', $fields, $actions, $options); 
    echo $this->Js->writeBuffer();
}else{
    echo $this->Html->tag('div', __d('gabaritdocument', 'Gabaritdocument.void'), array('class' => 'alert alert-warning'));
}
?>

