<?php

/**
 *
 * Origineflux/get_originesflux.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Arnaud AUZOLAT
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
echo $this->Html->script('formValidate.js', array('inline' => true));
?>
<?php
if (!empty($originesflux)) {
    
    $fields = array(
        'name'
    );
    
    $actions = array(
        'edit' => array(
            "url" => Configure::read('BaseUrl') . '/originesflux/edit',
            "updateElement" => "$('#infos .content')",
            "formMessage" => false
        ),
        'delete' => array(
            "url" => Configure::read('BaseUrl') . '/originesflux/delete',
            "updateElement" => "$('#infos .content')",
            "refreshAction" => "loadOrigineflux();"
        )
    );
    
    $options = array();
    $data = $this->Liste->drawTbody($originesflux, 'Origineflux', $fields, $actions, $options);
?>

<div  class="bannette_panel panel-body">
    <table id="table_originesflux"
           data-toggle="table"
           data-search="true"
           data-locale = "fr-CA"
           data-height="400"
           data-pagination = "true"
           >
    </table>
</div>

<script>
    //title legend (nombre de données)
    if (!$('.table-list h3 span').length < 1) {
        $('.table-list h3 span').remove();
    }
    $('.table-list h3').append('<?php echo $this->Liste->drawPanelHeading($originesflux,$options); ?>');
    $('#table_originesflux')
            .bootstrapTable({
                data:<?php echo $data;?>,
                columns: [
                    {
                        field: "name",
                        title: "<?php echo __d("origineflux","Origineflux.name"); ?>",
                        class: "name"
                    },
                    {
                        field: "edit",
                        title: "Modifier",
                        class: "actions thEdit",
                        width: "80px",
                        align: "center"
                    },
                    {
                        field: "delete",
                        title: "Supprimer",
                        class: "actions thDelete",
                        width: "80px",
                        align: "center"
                    }
                ]
            });
    $(document).ready(function () {
        changeTableBannetteHeight();
        $(window).resize(function () {
            changeTableBannetteHeight();
        });
    });
    function changeTableBannetteHeight() {
        $(".fixed-table-container").css('height', $(window).height() * 0.5);
    }
</script>
<?php 
    echo $this->LIste->drawScript($originesflux, 'Origineflux', $fields, $actions, $options); 
} else {
    echo $this->Html->div('alert alert-warning',__d('origineflux', 'Origineflux.void'));
}
?>
