<?php

/**
 *
 * Soustypes/get_types_soustypes.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/wetextfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
//debug(json_encode($types));
if (!empty($types)) {
    foreach ($types as $keytype => $type) {
            $node = array(
                'text' => $type['Type']['name'] . '<span  class = "ligne-action"><i class="fa fa-pencil-square-o editTypeBttn Type" aria-hidden="true" onclick="editType(' . $type['Type']['id'] . ');return false" ></i><i class="fa fa-trash deleteTypeBttn Type" aria-hidden="true" onclick="deleteType(' . $type['Type']['id'] . ')"></i></span>',
                'selectable' => false,
                'icon' => 'fa fa-folder',
                'nodes' => array()
            );
            foreach ($type['Soustype'] as $key => $soustype) {
                $node['nodes'][$key] = array(
                    'text' => $soustype['name'] . '<span  class = "ligne-action"><i class="fa fa-pencil-square-o editSoustypeBttn Soustype" aria-hidden="true" onclick="editSoustype(' . $soustype['id'] . ');return false" ></i><i class="fa fa-trash deleteSoustypeBttn Soustype" aria-hidden="true" onclick="deleteSoustype(' . $soustype['id'] . ')"></i></span>',
                    'selectable' => false,
                    'icon' => 'fa fa-file'
                );
            }
            $res[$keytype] = $node;
        }
?>
<div  style="width:98%;margin: auto;">
    <a class="btn btn-info-webgfc toggle-pile" style ='margin:10px 0 10px 15px;display: display' title="Tout déplier"><i class="fa fa-window-minimize" aria-hidden="true" ></i></a>
    <div class="action-title pull-right" style="margin: 10px auto;"></div>
</div>
<div id="tree">
</div>
<?php 
        
} else {
    echo $this->Html->div('alert alert-warning',__d('soustype', 'Soustype.void'));
}
?>

<script type="text/javascript">
    gui.addbutton({
        element: $('#liste .table-list .content .action-title'),
        button: {
            content: '<i class="fa fa-search" aria-hidden="true"></i>',
            class: 'btn btn-info-webgfc btn-secondary ',
            action: function () {
                $('#SoustypeGetSoustypesFormModal').modal('show');
                gui.request({
                    url: $("#SoustypeGetSoustypesForm").attr('action'),
                    data: $("#SoustypeGetSoustypesForm").serialize(),
                    loader: true,
                    updateElement: $('#liste_users .content'),
                    loaderMessage: gui.loaderMessage
                }, function (data) {
                    location.reload();
                });
            }

        }
    });
    gui.addbutton({
        element: $('#liste .table-list .content .action-title'),
        button: {
            content: '<i class="fa fa-undo" aria-hidden="true"></i> ',
            class: 'btn btn-info-webgfc btn-secondary ',
            action: function () {
                $(this).parents('.modal').modal('hide');
                loadTypesSoutypes();
            }
        }
    });

    $("#tree").treeview({
        data: <?php echo json_encode($res); ?>,
        'collapseIcon': 'fa fa-chevron-down',
        'expandIcon': 'fa fa-chevron-right'
    });

    //Pouvoir tout déplier/replier d'un clic
    $(".toggle-pile").click(function () {
        var icon = $(this).find('i');
        if (icon.hasClass('fa-window-minimize')) {
            $('#tree').treeview('collapseAll', {silent: true});
            $(this).find('i').removeClass('fa-window-minimize');
            $(this).find('i').addClass('fa-window-maximize');
        } else {
            $('#tree').treeview('expandAll', {silent: true});
            $(this).find('i').addClass('fa-window-minimize');
            $(this).find('i').removeClass('fa-window-maximize');
        }
    });


    function editType(id) {
        $('#infos').modal('show');
        gui.request({
            url: '/types/edit/' + id,
            updateElement: $('#infos .content'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
    }

    function deleteType(id) {
        swal({
            title: "<?php echo __d('default', 'Modal.suppressionTitle'); ?>",
            text: "<?php echo __d('default', 'Modal.suppressionContents'); ?>",
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: "<?php echo __d('default', 'Button.submit'); ?>",
            cancelButtonText: "<?php echo __d('default', 'Button.cancel'); ?>",
        }).then(function (data) {
            if (data) {
                gui.request({
                    url: '/types/delete/' + id,
                    updateElement: $('#webgfc_content'),
                    loader: true,
                    loaderMessage: gui.loaderMessage
                }, function (data) {
                    getJsonResponse(data);
                    loadTypesSoutypes();
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n'avez pas supprimé, ;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });
    }

    function editSoustype(id) {
        $('#infos').modal('show');
        gui.request({
            url: '/soustypes/edit/' + id,
            updateElement: $('#infos .content'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
    }

    function deleteSoustype(id) {
        swal({
            title: "<?php echo __d('default', 'Modal.suppressionTitle'); ?>",
            text: "<?php echo __d('default', 'Modal.suppressionContents'); ?>",
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: "<?php echo __d('default', 'Button.submit'); ?>",
            cancelButtonText: "<?php echo __d('default', 'Button.cancel'); ?>",
        }).then(function (data) {
            if (data) {
                gui.request({
                    url: '/soustypes/delete/' + id,
                    updateElement: $('#webgfc_content'),
                    loader: true,
                    loaderMessage: gui.loaderMessage
                }, function (data) {
                    getJsonResponse(data);
                    loadTypesSoutypes();
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n'avez pas supprimé, ;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });
    }


</script>