<?php

/**
 *
 * Statistiques/index.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Arnaud Auzolat
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Html->css(array('SimpleComment.comment.css'), null, array('inline' => false));
?>
<div class="container">
    <div id="content_page" class="row">
        <div id ="" class="table-list statistiques">
            <h3><?php echo __d('statistique', 'Indicateurquant.title'); ?></h3>
            <div class="formule-recherche">
        <?php
            $formStatistique = array(
                    'name' => 'Statistique',
                    'label_w' => 'col-sm-5',
                    'input_w' => 'col-sm-3',
                    'form_url' =>'indicateursQuant',
                    'input' => array(
                        'Statistique.annee' => array(
                            'labelText' =>__d('statistique', 'Indicateurquant.annee'),
                            'inputType' => 'select',
                            'items'=>array(
                                'type'=>'select',
                                'options' => array_combine( range( date( 'Y' ), 2012, -1 ), range( date( 'Y' ), 2012, -1 ) ),
                            )
                        ),
                        'Statistique.origineflux_id' => array(
                            'labelText' =>__d('statistique', 'Indicateurquant.origineflux_id'),
                            'inputType' => 'select',
                            'items'=>array(
                                'type'=>'select',
                                'options' => $origines,
                                'empty' => true
                            )
                        )
                    )
                );
                if(!empty($metas)){
                    foreach( $metas as $meta ) {
                        $formStatistique['input']["Metadonnee.{$meta['Metadonnee']['id']}.checked"] = array(
                            'labelText' =>$meta['Metadonnee']['name'],
                            'inputType' => 'checkbox',
                            'items'=>array(
                                'type'=>'checkbox'
                            )
                        );
                        $formStatistique['input']["Metadonnee.{$meta['Metadonnee']['id']}.selectvaluemetadonnee_id"] = array(
                            'labelText' =>'Valeurs disponibles',
                            'inputType' => 'select',
                            'items'=>array(
                                'type'=>'select',
                                'options' => !empty($meta['ValueInSelect'])?$meta['ValueInSelect']:array(),
                                'empty' => true
                            )
                        );
                    }
                }
            echo $this->Formulaire->createForm($formStatistique);
            echo $this->Form->end();
            ?>
            </div>
            <div id="formule-recherche-controls">
                <a class="btn btn-info-webgfc" id="searchButton" title="<?php echo __d('statistique', 'btn.recherche'); ?>"><i class="fa fa-search" aria-hidden="true"></i></a>
            </div>

            <!-- zone resultat -->
        <?php $annee = Hash::get( $this->request->data, 'Statistique.annee' );?>
        <?php if( isset($results)): ?>
        <?php
            $origine = '';
            if(!empty($origineSelected)) {
                $origine = " dont l'origine est ".'"'.Hash::get( $origines, $origineSelected ).'"';
            }
        ?>
            <legend class="legend-resultat"><?php echo __d('statistique', 'Indicateurquant.legend.Resultat') . $annee .$origine; ?></legend>
            <div class="panel-body">
                <div id="gauche" class="panel col-sm-6">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title"><?php echo __d('statistique', 'Indicateurquant.Resultat.etat'); ?></h4>
                        </div>
                        <div class="panel-body form-horizontal">
                            <canvas id="myPieChart" height="25vh" width="60vw">
                            </canvas>
                        <?php foreach( array_keys( $results['Indicateurquant'] ) as $indicateur ):?>
                            <?php if( in_array( $indicateur, array( 'cloture', 'encours', 'valide', 'refuse' ) ) ):?>
                            <div class="results control-group">
                                <label class="control-label  col-sm-8"> <?php echo __d( 'statistique', "Indicateurquant.{$indicateur}" );?></label>
                                <div class="controls  col-sm-3 statistiquesResultatNb">
                                    <span class="number"><?php
                                    $value = Hash::get( $results, "Indicateurquant.{$indicateur}" );
                                    if( is_null( $value ) ) {
                                        echo 'ND';
                                    }
                                    else {
                                        echo $this->Locale->number( $value );
                                    }
                                ?></span>
                                </div>
                            </div>
                            <?php endif;?>
                            <?php if( $indicateur === 'total' ):?>
                            <div class="results control-group">
                                <label  class="control-label  col-sm-8"> <?php echo __d( 'statistique', "Indicateurquant.{$indicateur}" );?></label>
                                <div class="controls  col-sm-3 statistiquesResultatNb">
                                    <span class="number">
                                            <?php
                                                $value = Hash::get( $results, "Indicateurquant.{$indicateur}" );
                                                if( is_null( $value ) ) {
                                                    echo 'ND';
                                                }
                                                else {
                                                    echo $this->Locale->number( $value );
                                                }
                                            ?>
                                    </span>
                                </div>
                            </div>
                            <?php endif;?>
                        <?php endforeach;?>
                        </div>
                        <div class="panel-footer" style="min-height: 50px;">

                        </div>
                    </div>
                </div>
        <?php endif;?>
        <?php if( isset($typemetaCounts['Indicateurmeta'])): ?>
                <!-- Informations liées aux métadonnées-->

                <div id="droite" class="panel col-sm-6">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h4 class="panel-title"><?php echo __d('statistique', 'Indicateurquant.Resultat.meta'); ?></h4>
                        </div>
                        <div class="panel-body form-horizontal">
                            <canvas id="myPieChartMeta" height="25vh" width="60vw">
                            </canvas>
                        <?php ksort($typemetaCounts['Indicateurmeta']);?>
                        <?php foreach( array_keys( $typemetaCounts['Indicateurmeta'] ) as $indicateur ):?>
                        <?php if( $indicateur != 'typedemandetotale' ):?>
                            <div class="results control-group">
                                <label  class="control-label  col-sm-8"><?php echo $indicateur;?></label>
                                <div class="controls  col-sm-3 statistiquesResultatNb">
                                    <span class="number"><?php
                                    $value = Hash::get( $typemetaCounts, "Indicateurmeta.{$indicateur}" );
                                    if( is_null( $value ) ) {
                                        echo 'ND';
                                    }
                                    else {
                                        echo $this->Locale->number( $value );
                                    }
                                ?></span>
                                </div>
                            </div>
                        <?php endif;?>

                        <?php endforeach;?>
                        </div>
                        <div class="panel-footer" style="min-height: 50px;">

                        </div>
                    </div>
                </div>
        <?php endif;?>
            </div>
        </div>
    </div>
</div>


<script type="text/javascript">
    var border_quantitatifs = $('#StatistiqueOriginefluxId').parents('.form-group');
    $("<legend><?php echo __d('statistique', 'Indicateurquant.legend.Meta'); ?></legend>").insertAfter(border_quantitatifs);

    $('#formulaireButton').button();
    $('#searchButton').button();
    $('#StatistiqueAnnee').select2({allowClear: true, placeholder: "Sélectionner une année"});
    $('#StatistiqueTypedemande').select2({allowClear: true, placeholder: "Sélectionner un type de demande"});
    $('#StatistiqueOriginefluxId').select2({allowClear: true, placeholder: "Sélectionner une origine"});
    <?php if( isset($results)): ?>
    $('.formule-recherche').hide();
    $('#formule-recherche-controls').html('<a class="btn btn-danger" id="reset" title="<?php echo __d('statistique', 'btn.reset'); ?>"><i class="fa fa-undo" aria-hidden="true"></i> Réinitialiser</a>');
    $('#reset').click(function () {
        location.reload();
    });
    <?php endif ?>

    $('#searchButton').click(function () {
        var dataSerialize = $("#StatistiqueIndicateursQuantForm").serialize();
        if (!$('.legend-resultat').size() < 1) {
            dataSerialize += '&alreadyLoad=true';
        }

        gui.request({
            url: $("#StatistiqueIndicateursQuantForm").attr('action'),
            data: dataSerialize,
            loader: true,
            updateElement: $('.formule-recherche'),
            loaderMessage: gui.loaderMessage
        }, function (data) {
            $('#content_page').empty();
            $('#content_page').html(data);
        });
    });

    //**************************************************************//
    //statisitique
    <?php if( isset($results)): ?>
    var ctx = $("#myPieChart");
    var dataPie = {
        datasets: [{
                data: [<?php echo (int)$results['Indicateurquant']['encours']; ?>,
                        <?php echo (int)$results['Indicateurquant']['refuse']; ?>,
                        <?php echo (int)$results['Indicateurquant']['valide']; ?>,
                        <?php echo (int)$results['Indicateurquant']['cloture']; ?>],
                backgroundColor: [
                    '#5687ff',
                    '#ff6384',
                    '#84ff63',
                    '#ffce56'
                ]
            }],
        labels: [
            '<?php echo __d('statistique', 'Indicateurquant.bar.encours'); ?>',
            '<?php echo __d('statistique', 'Indicateurquant.bar.refuse'); ?>',
            '<?php echo __d('statistique', 'Indicateurquant.bar.valide'); ?>',
            '<?php echo __d('statistique', 'Indicateurquant.bar.cloture'); ?>'
        ]
    };
    var options = {
        responsive: true,
        animation: {
            animateScale: true,
            animateRotate: true
        }
    };
    var myPieChart = new Chart(ctx, {
        type: 'doughnut',
        data: dataPie,
        options: options
    });
        <?php if(!empty($typemetaCounts['Indicateurmeta'])): ?>
    var ctxMeta = $('#myPieChartMeta');
    var backgroudColor = [];
    var i = 1;
    var nbMeta = <?php echo count(array_values($typemetaCounts['Indicateurmeta'])); ?>;
    while (i < nbMeta) {
        backgroudColor.push(randomColor({luminosity: 'light'}));
        i++;
    }
    var dataPieMeta = {
        datasets: [{
                data:<?php echo json_encode(array_values($typemetaCounts['Indicateurmeta'])); ?>,
                backgroundColor: backgroudColor
            }],
        labels: <?php echo json_encode(array_keys($typemetaCounts['Indicateurmeta'])); ?>

    };

    var myPieChart = new Chart(ctxMeta, {
        type: 'doughnut',
        data: dataPieMeta,
        options: options
    });
        <?php endif;?>
    <?php endif;?>
    /********************************************************/


    // Ajout de l'action de recherche via la touche Entrée
    $('#StatistiqueIndicateursQuantForm').keypress(function (e) {
        var dataSerialize = $("#StatistiqueIndicateursQuantForm").serialize();
        if (!$('.legend-resultat').size() < 1) {
            dataSerialize += '&alreadyLoad=true';
        }
        if (e.keyCode == 13) {
            gui.request({
                url: $("#StatistiqueIndicateursQuantForm").attr('action'),
                data: dataSerialize,
                loader: true,
                updateElement: $('#content_page'),
                loaderMessage: gui.loaderMessage
            }, function (data) {
                $('#content_page').empty();
                $('#content_page').html(data);
            });
        }
    });
    //    $('#StatistiqueIndicateursQuantForm.folded').hide();


    gui.addbutton({
        element: $('#gauche .panel-footer'),
        button: {
            content: '<i class="fa fa-download" aria-hidden="true"></i>',
            title: "<?php echo __d('default', 'Button.exportcsv'); ?>",
            class: 'btn btn-info-webgfc pull-right',
            action: function () {
                //                window.location.href = "/statistiques/exportquant";
                window.location.href = "<?php echo Router::url( array( 'controller' => 'statistiques', 'action' => 'exportquant' ) + Hash::flatten( $this->request->data, '__' ) );?>";
            }
        }

    });

    <?php if( !empty( $results ) ) { ?>
    gui.enablebutton({
        element: $('#gauche .panel-footer'),
        content: '<i class="fa fa-download" aria-hidden="true"></i>',
        title: "<?php echo __d('default', 'Button.exportcsv'); ?>",
        class: 'btn btn-info-webgfc pull-right',
        action: function () {
            window.location.href = "<?php echo Router::url( array( 'controller' => 'statistiques', 'action' => 'exportquant' ) + Hash::flatten( $this->request->data, '__' ) );?>";
        }
    });
        <?php }else{ ?>
    gui.disablebutton({
        element: $('#gauche .panel-footer'),
        button: '<i class="fa fa-download" aria-hidden="true"></i>'
    });
        <?php } ?>

    // Bouton pour le tableau de nb de flux métadonnées
    gui.addbutton({
        element: $('#droite  .panel-footer'),
        button: {
            content: '<i class="fa fa-download" aria-hidden="true"></i>',
            title: "<?php echo __d('default', 'Button.exportcsv'); ?>",
            class: 'btn btn-info-webgfc pull-right',
            action: function () {
                //                window.location.href = "/statistiques/exportquantmeta";
                window.location.href = "<?php echo Router::url( array( 'controller' => 'statistiques', 'action' => 'exportquantmeta' ) + Hash::flatten( $this->request->data, '__' ) );?>";
            }
        }

    });

    <?php if( !empty( $results ) ) { ?>
    gui.enablebutton({
        element: $('#droite  .panel-footer'),
        button: '<i class="fa fa-download" aria-hidden="true"></i>',
        class: 'btn btn-info-webgfc pull-right',
        action: function () {
            window.location.href = "<?php echo Router::url( array( 'controller' => 'statistiques', 'action' => 'exportquantmeta' ) + Hash::flatten( $this->request->data, '__' ) );?>";
        }
    });
        <?php }else{ ?>
    gui.disablebutton({
        element: $('#droite  .panel-footer'),
        button: '<i class="fa fa-download" aria-hidden="true"></i>'
    });
        <?php } ?>


    <?php foreach( $metas as $meta ):?>
    $("#Metadonnee<?php echo $meta['Metadonnee']['id'];?>SelectvaluemetadonneeId").select2({allowClear: true, placeholder: "Sélectionner une valeur"});
    $("#Metadonnee<?php echo $meta['Metadonnee']['id'];?>Checked").change(function () {
        if ($("#Metadonnee<?php echo $meta['Metadonnee']['id'];?>Checked").attr('checked') == 'checked') {
            // Si on coche une case, on affiche els valeurs
            $("#Metadonnee<?php echo $meta['Metadonnee']['id'];?>SelectvaluemetadonneeId").parent().parent().show();
        }
        else {
            // Si aucune case de cochée, alors on masque les valeurs
            $("#Metadonnee<?php echo $meta['Metadonnee']['id'];?>SelectvaluemetadonneeId").parent().parent().hide();
        }
    });
    // Par défaut, on masque les valeurs
    $("#Metadonnee<?php echo $meta['Metadonnee']['id'];?>SelectvaluemetadonneeId").parent().parent().hide();
    // Si la case est cochée, on affiche la valeur
    if ($("#Metadonnee<?php echo $meta['Metadonnee']['id'];?>Checked").attr('checked') == 'checked') {
        $("#Metadonnee<?php echo $meta['Metadonnee']['id'];?>SelectvaluemetadonneeId").parent().parent().show();
    }

    <?php endforeach;?>

//    $('#StatistiqueIndicateursQuantForm').keypress(function (e) {
//        if (e.keyCode == 13) {
//            $('#formule-recherche-controls #search').trigger('click');
//            return false;
//        }
//    });
</script>

