/* 
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * @author JIN Yuzhu
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 *
 */

//navigation Tab Context
function affichageTabContext(fluxId) {
//content main document de context

    if (typeof (mainDoc) != "undefined" && mainDoc != null) {
        if ($('#preview').length > 0 && $('#preview').is(':visible')) {
            var selectedImage = $('#mainDocTmp .ctxdoc_name img').clone();
            var selectedDoc = $('#mainDocTmp .filename').html();
            $('.document_preview .header .selected_document').html('');
            $('.document_preview .header .selected_document').append(selectedImage);
            var truncatedSelectedDoc = selectedDoc.substr(0, 40);
            if (truncatedSelectedDoc != selectedDoc) {
                truncatedSelectedDoc += "...";
            }
            $('.document_preview .header .selected_document').append(' ' + truncatedSelectedDoc);
            $('.document_preview .content').html(gui.loaderMessage);
            gui.request({
                url: '/Documents/getPreview/' + mainDocId,
                updateElement: $('.document_preview .content'),
                loader: true,
                loaderMessage: gui.loaderMessage
//                updateElement: $('#preview')
            }
            , function (data) {
                if ($('.document_preview .content').length != 0) {
                    $('.document_preview .content').html(data);
                } else {
                    $('#preview').html(data);
                }
            }
            );
        }
    }
//content lsit document de context
    if ($('#documents').length > 0 && $('#documents').is(':visible')) {
//        $('#preview .document_preview .content').empty();
        gui.request({
            url: '/courriers/getDocuments/' + fluxId,
            updateElement: $('#documents'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
    }
    if ($('#relements').length > 0 && $('#relements').is(':visible')) {
//        $('#preview .document_preview .content').empty();
        gui.request({
            url: '/courriers/getRelements/' + fluxId,
            updateElement: $('#relements'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
    }
//content Accusés de réception
    if ($('#ars').length > 0 && $('#ars').is(':visible')) {
//        $('#preview .document_preview .content').empty();
        gui.request({
            url: '/courriers/getArs/' + fluxId,
            updateElement: $('#ars'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
    }
//content circuit
    if ($('#circuit').length > 0 && $('#circuit').is(':visible')) {
//        $('#preview .document_preview .content').empty();
        gui.request({
            url: '/courriers/getCircuit/' + fluxId,
            updateElement: $('#circuit'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
    }
//content parent
    if ($('#parent').length > 0 && $('#parent').is(':visible')) {
//        $('#preview .document_preview .content').empty();
        gui.request({
            url: '/courriers/getParent/' + parentFluxId,
            updateElement: $('#parent'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
    }
//content refus flux
    if ($('#fluxRefus').length > 0 && $('#fluxRefus').is(':visible')) {
//        $('#preview .document_preview .content').empty();
        gui.request({
            url: '/courriers/getParent/' + refusFluxId,
            updateElement: $('#fluxRefus'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });
    }
}
function initContextDocumentBttnActions() {
//button preview document
    $('.ctxdocBttnPreview').click(function () {
        var documentId = $(this).parent().parent().parent().attr('itemId');
        gui.formMessage({
            updateElement: $('body'),
            loader: true,
            width: '550px',
            loaderMessage: gui.loaderMessage,
            title: 'Document',
            url: " /documents/getFileListPreview/ " + documentId,
            buttons: {
                'Fermer': function () {
                    $(this).parents('.modal').modal('hide');
                    $(this).parents('.modal').empty();
                }
            }
        });
    });

    $('.ctxdocBttnPreviewArmodel').click(function () {
        var armodelId = $(this).parent().parent().parent().attr('itemId');
        gui.formMessage({
            updateElement: $('body'),
            loader: true,
            width: '550px',
            loaderMessage: gui.loaderMessage,
            title: 'Modèle Accusé de Réception',
            url: " /armodels/getPreview/ " + armodelId,
            buttons: {
                'Fermer': function () {
                    gui.request({
                        url: '/armodels/deletefile/' + armodelId
                    });
                    $(this).parents('.modal').modal('hide');
                    $(this).parents('.modal').empty();
                }
            }
        });
    });
    $('.ctxdocBttnPreviewAr').click(function () {
        var arId = $(this).parent().parent().parent().attr('itemId');
        gui.formMessage({
            updateElement: $('body'),
            loader: true,
            width: '550px',
            loaderMessage: gui.loaderMessage,
            title: 'Accusé de Réception',
            url: " /ars/getPreview/ " + arId,
            buttons: {
                'Fermer': function () {
                    gui.request({
                        url: '/ars/deletefile/' + arId
                    });
                    $(this).parents('.modal').modal('hide');
                    $(this).parents('.modal').empty();
                }
            }
        });
    });
    $('.ctxdocBttnPreviewRmodel').click(function () {
        var rmodelId = $(this).parent().parent().parent().attr('itemId');
        gui.formMessage({
            updateElement: $('body'),
            loader: true,
            width: '550px',
            loaderMessage: gui.loaderMessage,
            title: 'Accusé de Réception',
            url: " /rmodels/getPreview/ " + rmodelId,
            buttons: {
                'Fermer': function () {
                    gui.request({
                        url: '/rmodels/deletefile/' + rmodelId
                    });
                    $(this).parents('.modal').modal('hide');
                    $(this).parents('.modal').empty();
                }
            }
        });
    });

    $('.ctxdocBttnPreviewRelements').click(function () {
        var fileName = $(this).attr('fileName');
        gui.formMessage({
            updateElement: $('.table_fchier_scane'),
            loader: true,
            width: '550px',
            loaderMessage: gui.loaderMessage,
            url: '/documents/getFileScannePreview/' + fileName + '/relements',
            buttons: {
                'Fermer': function () {
                    $(this).parents('.modal').modal('hide');
                    $(this).parents('.modal').empty();
                }
            }
        });
    });
    //button supprimer
    $('.ctxdocBttnDelete').click(function () {
        var updateElement = $('#flux_context').find('.active.in');
        var docId = $(this).parent().parent().parent().attr('itemId');
//                console.log(docId);
        var filename = $(this).parentsUntil('.relement_docs_list').find('.ctxdoc_name span.filename').html();
        var controllerName = $(this).parent().parent().parent().attr('controllerName');
//                console.log(controllerName);
        swal({
            title: titleModalSupp,
            text: msgModalSupp,
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: buttonSubmit,
            cancelButtonText: buttonCancel,
        }).then(function (data) {
            if (data) {
                gui.request({
                    url: '/' + controllerName + '/delete/' + docId
                }, function (data) {
                    getJsonResponse(data);
                    affichageTabContext(fluxId);
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n'avez pas supprimé, ;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });
    });
    //button set main document
    $('.ctxdocBttnSetMainDoc').click(function () {
        var updateElement = $('.context_accordion').find('.ui-state-active');
        var docId = $(this).parent().parent().parent().attr('itemId');
        gui.request({
            url: '/Documents/setMainDoc/' + docId
        }, function (data) {
            getJsonResponse(data);
            updateElement.removeAttr('loaded');
            affichageTabContext(fluxId);
        });
    });


    $('.ctxdocBttnWebdavAdd').click(function () {
        var filename = $(this).parentsUntil('.relement_docs_list').find('.ctxdoc_name span.filename').html();
        var updateElement = $('.context_accordion').find('.ui-state-active');
        gui.request({
            url: "/relements/addFromFile/" + fluxId + "/" + filename,
            data: $(this).serialize(),
        }, function (data) {
            getJsonResponse(data);
            updateElement.removeAttr('loaded');
            affichageTabContext(fluxId);
        });
    });



    // Action d'envoi par mail du document
    if (fluxId != null) {
        $('.ctxdocBttnSendmail').click(function () {
            var docId = $(this).parent().parent().parent().attr('itemId');
            var ar = false;
            if ($(this).parent().parent().hasClass('arCtxdoc')) {
                ar = true;
            }
            else {
                ar = false;
            }
            gui.formMessage({
                title: titleModalSendmail,
//                width: '600px',
                url: '/courriers/sendmail/' + docId + '/' + fluxId + '/' + ar,
                buttons: {
                    '<i class="fa fa-check" aria-hidden="true"></i> Valider': function () {
                        var form = $(this).parents('.modal').find('form');
                        var form = $('#CourrierSendmailForm');
//                        var url = '/courriers/sendmail/' + docId + '/' + fluxId + '/' + ar;

//                        $("#SendmailSendmailForm").validate({
//                            'rules': {
//                                'data[Sendmail][email]': 'required'
//                            }
//                        });
                        if ($(form).valid()) {
                            gui.request({
//                                url: url,
                                url: '/courriers/sendmail/' + docId + '/' + fluxId + '/' + ar,
                                data: form.serialize()
                            }, function (data) {
//                                if (data.length > 4) {
//                                console.log(data);
                                getJsonResponse(data);
//                                } else {
//                                    window.location.href = windowLocationHref;
//                                }
                            });
                            $(this).parents('.modal').modal('hide');
                            $(this).parents('.modal').empty();
                        }
                    },
                    '<i class="fa fa-times-circle-o" aria-hidden="true"></i> Annuler': function () {
                        $(this).parents('.modal').modal('hide');
                        $(this).parents('.modal').empty();
                    }
                }
            });
        });
    }
// Action d'envoi du document unitairement à la GED
    $('.ctxdocBttnSendDocged').click(function () {
        var docId = $(this).parent().parent().parent().attr('itemId');
        gui.message({
            title: titleModalGED,
            msg: msgModalGED,
            buttons: [{
                    text: buttonSubmit,
                    class: 'btn btn-info-webgfc',
                    click: function () {
                        $(this).parents('.modal').modal('hide');
                        gui.loader({
                            message: gui.loaderMessage,
                            element: $('#courrier_skel')
                        });
                        var updateElement = $(this);
                        gui.request({
                            url: "/courriers/sendDocumentToGed/" + docId,
                            updateElement: updateElement
                        }, function () {
                            updateElement.removeAttr('loaded');
//                            affichageTabContext(fluxId);
                            window.location.reload();
                        });
                        $(this).parents('.modal').empty();
                    }
                }, {
                    text: buttonCancel,
                    class: 'btn btn-info-webgfc',
                    click: function () {
                        $(this).parents('.modal').modal('hide');
                    }
                }]
        });
    });
}



